commit 72f3b878615bc81836fa6806f20313f728dda2d5
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-18 21:57:15 +0200

    gtatool: bump version to 1.1.0

 gtatool/configure.ac |    4 ++--
 gtatool/doc/gta.1    |    4 ++--
 gtatool/doc/gta.texi |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit fc7be66461146a22b2d936812d868bad6c245d7a
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-18 21:49:08 +0200

    gta from-ffmpeg: sync FFmpeg import from Bino.

 gtatool/src/conv-ffmpeg/media_data.cpp   |   11 ++++++++
 gtatool/src/conv-ffmpeg/media_data.h     |    1 +
 gtatool/src/conv-ffmpeg/media_object.cpp |   44 ++++++++++++++++++++++--------
 3 files changed, 45 insertions(+), 11 deletions(-)

commit c718e21316e5de9fb635286a93994cf29845fcfd
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-06 15:45:19 +0200

    gta gui: add CSV import/export

 gtatool/src/gui/gui.cpp |   24 ++++++++++++++++++++++++
 gtatool/src/gui/gui.h   |    2 ++
 2 files changed, 26 insertions(+)

commit b158e30325e0fe7780a552ef99b7f716291d04ff
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-06 15:39:24 +0200

    gta gui: disable RAT and RAW import/export if the commands are unavailable.

 gtatool/src/gui/gui.cpp |   16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 82943803a0a26dc2be3b494179bb4b4ac5f83372
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-06 15:16:39 +0200

    gtatool: rewrite the from-raw, to-raw commands.
    
    By using the common library functions from lib.cpp, this new version avoids
    code duplication, improves performance, and adds features.

 gtatool/src/conv-raw/from-raw.cpp |  180 ++++++-------------------------------
 gtatool/src/conv-raw/to-raw.cpp   |   62 ++++++-------
 2 files changed, 50 insertions(+), 192 deletions(-)

commit 18e0cdc961e11c9c55dd9599a6898eb08c1b7ac5
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-06 11:14:50 +0200

    gtatool: add from-csv, to-csv commands for the CSV file format.

 gtatool/configure.ac               |    8 ++
 gtatool/src/Makefile.am            |   10 ++
 gtatool/src/cmds.cpp               |    4 +
 gtatool/src/conv-csv/delimiter.cpp |   34 ++++++
 gtatool/src/conv-csv/delimiter.h   |   30 +++++
 gtatool/src/conv-csv/from-csv.cpp  |  214 ++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-csv/to-csv.cpp    |  213 +++++++++++++++++++++++++++++++++++
 7 files changed, 513 insertions(+)

commit e507327ff5b231b5655b50d8246114930ca65613
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-07-01 16:46:51 +0200

    gtatool: update base modules.

 gtatool/configure.ac     |   33 +++++++++++++++++++++++----
 gtatool/src/base/fio.cpp |    5 +++++
 gtatool/src/base/msg.cpp |   56 +++++-----------------------------------------
 gtatool/src/base/str.cpp |   30 +++++++++++++++++++++++++
 gtatool/src/base/str.h   |    5 +++++
 5 files changed, 75 insertions(+), 54 deletions(-)

commit d1a6c81ef7a0356c5358b4a90090045c97e8863c
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-06-21 18:03:37 +0200

    gta info: fix computation of statistics.
    
    Ignore all numbers that are not finite, and don't compute/print statistics if
    insufficient values are available.

 gtatool/src/array/info.cpp |   43 +++++++++++++++++++++++++++++++------------
 1 file changed, 31 insertions(+), 12 deletions(-)

commit 479a8c6821e36ed5281b2c97060d71657ad534b3
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:54:15 +0200

    gta from-ffmpeg: sync FFmpeg import from Bino.

 gtatool/configure.ac                     |    2 +-
 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp  |    6 +-
 gtatool/src/conv-ffmpeg/media_data.cpp   | 1378 +++++++++++++++++++-----------
 gtatool/src/conv-ffmpeg/media_data.h     |  279 +++---
 gtatool/src/conv-ffmpeg/media_object.cpp |  373 +++++---
 gtatool/src/conv-ffmpeg/media_object.h   |    8 +-
 6 files changed, 1297 insertions(+), 749 deletions(-)

commit 9d829789c41839f40dbc448aaa7f7bdff09cdb2b
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:47:36 +0200

    gtatool: update packaging for Windows.

 gtatool/pkg/w32/gtatool.nsi |   12 ++++++------
 gtatool/pkg/w32/notes.txt   |    8 ++++----
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 3dc2fd98becb97a0542fdd5da394cb529f16bab2
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:42:11 +0200

    gta gui: improve Help->About text.

 gtatool/src/gui/gui.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 310dc3ec15f1e0c0d89c271894a1651d8ec9b512
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:37:38 +0200

    gta gui: Install icons and a desktop entry. Update appicon.

 gtatool/configure.ac                  |   11 +++++++--
 gtatool/src/Makefile.am               |   21 +++++++++++++++-
 gtatool/src/appicon.ico               |  Bin 1078 -> 32038 bytes
 gtatool/src/gui/gta_gui.desktop       |    9 +++++++
 gtatool/src/gui/gui.png               |  Bin 2776 -> 0 bytes
 gtatool/src/gui/gui.qrc               |    2 +-
 gtatool/src/gui/logo/16x16/gta.png    |  Bin 0 -> 751 bytes
 gtatool/src/gui/logo/32x32/gta.png    |  Bin 0 -> 1505 bytes
 gtatool/src/gui/logo/48x48/gta.png    |  Bin 0 -> 2219 bytes
 gtatool/src/gui/logo/64x64/gta.png    |  Bin 0 -> 2939 bytes
 gtatool/src/gui/logo/scalable/gta.svg |   43 +++++++++++++++++++++++++++++++++
 11 files changed, 82 insertions(+), 4 deletions(-)

commit 76b106a19893dd9e9f6299b1dfbd311a77eb3a64
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:01:30 +0200

    gta gui: update description of component-convert --normalize.

 gtatool/src/gui/gui.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c76d2c99679eb5a3f99533fe52826ac4a16160d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-02 10:00:56 +0200

    gta gui: add import/export via sndfile and teem.

 gtatool/src/gui/gui.cpp |   48 +++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/gui/gui.h   |    6 +++++-
 2 files changed, 53 insertions(+), 1 deletion(-)

commit b0a84ac37f54c4500111e7c6a189d426b3d15cfe
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-01 16:42:02 +0200

    Update autotools files.

 gtatool/INSTALL                |    9 +-
 gtatool/build-aux/config.guess |   49 +++++---
 gtatool/build-aux/config.sub   |   65 ++++++----
 gtatool/build-aux/depcomp      |   74 +++++++++--
 gtatool/build-aux/install-sh   |   29 +++--
 gtatool/build-aux/ltmain.sh    |   95 +++++++++------
 gtatool/build-aux/missing      |   53 +-------
 gtatool/m4/libtool.m4          |  264 +++++++++++++++++++++++++++++++---------
 gtatool/m4/ltoptions.m4        |   19 ++-
 gtatool/m4/ltversion.m4        |   10 +-
 10 files changed, 451 insertions(+), 216 deletions(-)

commit 4db4a96d7f7823f8b8fc53f7a147cf2d33d3b5e6
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-04-30 11:24:37 +0200

    gta to-magick: fix a crash when there is no image to write.

 gtatool/src/conv-magick/to-magick.cpp |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f1ced2545e5de5c90ec1babadde136d2aab0b969
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-04-30 11:18:37 +0200

    gta component-convert: extend and improve --normalization option.

 gtatool/src/component/component-convert.cpp |  114 +++++++++++++--------------
 1 file changed, 53 insertions(+), 61 deletions(-)

commit 87a8be334d65bc9a97092c4140b4afe366f3761d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-04-17 10:43:47 +0200

    gtatool: update base modules.

 gtatool/src/base/blob.h       |    2 +-
 gtatool/src/base/dbg.cpp      |   90 ++++++++++++++++++++++++++++++++++++++---
 gtatool/src/base/dbg.h        |    2 +-
 gtatool/src/base/endianness.h |    2 +-
 gtatool/src/base/exc.cpp      |    2 +-
 gtatool/src/base/exc.h        |    4 +-
 gtatool/src/base/fio.cpp      |    2 +-
 gtatool/src/base/fio.h        |    2 +-
 gtatool/src/base/intcheck.h   |    2 +-
 gtatool/src/base/msg.cpp      |    2 +-
 gtatool/src/base/msg.h        |    2 +-
 gtatool/src/base/opt.cpp      |   25 +++++++++++-
 gtatool/src/base/opt.h        |   15 ++++++-
 gtatool/src/base/s11n.cpp     |    4 +-
 gtatool/src/base/s11n.h       |   20 ++++++++-
 gtatool/src/base/str.cpp      |   71 +++++++++++++++++++++++++++++++-
 gtatool/src/base/str.h        |   22 +++++++++-
 gtatool/src/base/thread.cpp   |   79 +++++++++++++++++++++++++++++++-----
 gtatool/src/base/thread.h     |   36 +++++++++++++++--
 19 files changed, 343 insertions(+), 41 deletions(-)

commit 7fcba59341434088e17d35a54b8c6659b56929f6
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-03-06 21:57:21 +0100

    gta from-ply: make code more robust and avoid compiler warning.

 gtatool/src/conv-ply/from-ply.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f97102bdd0f90a4957fb7a85c3a4d80dfb7c9371
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-03-06 21:55:54 +0100

    gtatool: fix build issue with the conv-teem module.

 gtatool/src/cmds.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 367be579dbed79aa40dbb0ea8c50b9291249530b
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-03-06 13:26:38 +0100

    gtatool: add from-teem, to-teem commands for the NRRD file format.

 gtatool/configure.ac                |   19 ++++
 gtatool/src/Makefile.am             |   14 ++-
 gtatool/src/cmds.cpp                |    6 +-
 gtatool/src/conv-teem/from-teem.cpp |  158 +++++++++++++++++++++++++++++++
 gtatool/src/conv-teem/to-teem.cpp   |  179 +++++++++++++++++++++++++++++++++++
 gtatool/src/lib.cpp                 |   24 +++++
 gtatool/src/lib.h                   |    4 +-
 7 files changed, 401 insertions(+), 3 deletions(-)

commit 3853db1faa37606767cc37613be9dcf6304b6d74
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-27 14:17:06 +0100

    gtatool: bump copyright years.

 gtatool/src/gui/gui.cpp |    4 ++--
 gtatool/src/lib.cpp     |    2 +-
 gtatool/src/main.cpp    |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit eb38c198b8f726a4b53d4755556abde694a7adce
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-27 14:16:51 +0100

    gtatool: bump version to 1.0.2.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77ca8babfd053e7255391f3c038bca1fb159c429
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-23 15:29:40 +0100

    gtatool: array loop: fix error messages when fio::has_more() fails.

 gtatool/src/lib.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d03b048efc71f8b1ba00d5a0714f2fa5ce7bc4cb
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-22 15:32:55 +0100

    libgta / gtatool: properly use DESTDIR in install-exec-hook.
    
    Reported by Volker Fröhlich.

 gtatool/src/Makefile.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e642d1cb52058b2cb827dace840c50267778436d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 15:05:24 +0100

    gtatool: bump version to 1.0.1.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd1155bfe88dda1b99b9adf159da524d7ed6f6ed
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 15:05:14 +0100

    gtatool: Update NEWS.

 gtatool/NEWS |    4 ++++
 1 file changed, 4 insertions(+)

commit 7325482735bfe9426db23dce7311e53955d9d543
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 15:01:30 +0100

    gtatool: let element_loop::read return 'const void *'

 gtatool/src/conv-ply/to-ply.cpp             |    2 +-
 gtatool/src/conv-sndfile/to-sndfile.cpp     |    8 ++++----
 gtatool/src/dimension/dimension-extract.cpp |    2 +-
 gtatool/src/dimension/dimension-split.cpp   |    2 +-
 gtatool/src/lib.cpp                         |    2 +-
 gtatool/src/lib.h                           |    2 +-
 6 files changed, 9 insertions(+), 9 deletions(-)

commit 1c04e66dfc993e07ffcf635ddaba783bbaf34ef6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 14:58:03 +0100

    gta component-merge: use array and element loop, add test.

 gtatool/src/component/component-merge.cpp |   85 ++++++++++++++---------------
 gtatool/tests/Makefile.am                 |    1 +
 gtatool/tests/gta-component-merge.sh      |   31 +++++++++++
 3 files changed, 72 insertions(+), 45 deletions(-)

commit 73bd4ceb29fc0585899bce942f8f16bbf455a946
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 14:36:10 +0100

    gta component-split: use array and element loop, add test.

 gtatool/src/component/component-split.cpp |  142 +++++++++++++----------------
 gtatool/tests/Makefile.am                 |    1 +
 gtatool/tests/gta-component-split.sh      |   29 ++++++
 3 files changed, 94 insertions(+), 78 deletions(-)

commit d3a901968ff7be7ef6bbaec85d58344a8cbe0016
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 12:41:15 +0100

    gta component-reorder: use array and element loop, add test.

 gtatool/src/component/component-reorder.cpp |  113 +++++++++++----------------
 gtatool/tests/Makefile.am                   |    1 +
 gtatool/tests/gta-component-reorder.sh      |   26 ++++++
 3 files changed, 71 insertions(+), 69 deletions(-)

commit 17d1bd98135e48ed7037a48d015762c81f86cd21
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 12:32:09 +0100

    gta component-extract: use array and element loop, add test, and fix bug.

 gtatool/src/component/component-extract.cpp |  151 +++++++++++----------------
 gtatool/tests/Makefile.am                   |    1 +
 gtatool/tests/gta-component-extract.sh      |   29 +++++
 3 files changed, 89 insertions(+), 92 deletions(-)

commit 0135812d4ef5b41ade208ec593116581e191fd01
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 12:02:11 +0100

    gta component-convert: use array and element loop, add test.

 gtatool/src/component/component-convert.cpp |  231 ++++++++++++---------------
 gtatool/tests/Makefile.am                   |    1 +
 gtatool/tests/gta-component-convert.sh      |   20 +++
 3 files changed, 124 insertions(+), 128 deletions(-)

commit 8323b077613d3a272832c2a6c802553c16fa23a0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 11:43:42 +0100

    gta component-compute: use array and element loop.

 gtatool/src/component/component-compute.cpp |  506 +++++++++++++--------------
 1 file changed, 241 insertions(+), 265 deletions(-)

commit 7f2169c420f1e2402815f7cf1694cc23c7a5e52d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 11:34:06 +0100

    gta component-add: use array and element loop, add test.

 gtatool/src/component/component-add.cpp |  161 +++++++++++++------------------
 gtatool/tests/Makefile.am               |    1 +
 gtatool/tests/gta-component-add.sh      |   27 ++++++
 3 files changed, 96 insertions(+), 93 deletions(-)

commit ce0f2f1c6b42b9481471b99ea23ec0d7a08e4f51
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 11:21:02 +0100

    gta component-set: use array and element loop, add test.

 gtatool/src/component/component-set.cpp |  128 +++++++++++++------------------
 gtatool/tests/Makefile.am               |   15 ++--
 gtatool/tests/gta-component-set.sh      |   20 +++++
 3 files changed, 80 insertions(+), 83 deletions(-)

commit d9db8d86e0f8d4df6c00d8b9d2700bc859ad7e83
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-05 21:39:02 +0100

    gtatool: update base modules.

 gtatool/src/base/msg.h   |    2 +-
 gtatool/src/base/str.cpp |   18 +++++++++++++++++-
 gtatool/src/base/str.h   |    1 +
 3 files changed, 19 insertions(+), 2 deletions(-)

commit 0f45e07795a0d5df57a632f3a107968c3a68fc11
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-05 14:14:14 +0100

    gtatool: remove dependency on C++11x features.

 gtatool/configure.ac          |    3 ---
 gtatool/src/base/blob.h       |    4 ++--
 gtatool/src/base/dbg.cpp      |   10 +++++-----
 gtatool/src/base/endianness.h |    2 +-
 gtatool/src/base/fio.cpp      |   36 ++++++++++++++++++------------------
 gtatool/src/base/msg.cpp      |    4 ++--
 gtatool/src/base/opt.cpp      |    6 +++---
 gtatool/src/base/opt.h        |    2 +-
 gtatool/src/base/s11n.cpp     |    4 ++--
 gtatool/src/base/str.cpp      |   12 +++++++++---
 gtatool/src/base/str.h        |    2 +-
 gtatool/src/base/thread.cpp   |   14 +++++++-------
 gtatool/src/base/thread.h     |    2 +-
 13 files changed, 52 insertions(+), 49 deletions(-)

commit 7af1909622dea856118eef9ce8b8cb98222e59b8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-05 07:11:26 +0100

    gta info: fix computation of sample mean.

 gtatool/src/array/info.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f688d84c07b79ef3854d5948d0095645a4d62fb9
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-04 17:03:44 +0100

    gtatool: bump version to 1.0.0.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c04665be4bbf114225922b35451e4d9c57276513
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 22:09:25 +0100

    gta from-gdal: use MIN_VALUE and MAX_VALUE tags.

 gtatool/src/conv-gdal/from-gdal.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c6a27f611382244924cd01b2a90dd1b3d2bea4bd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 22:06:01 +0100

    gta info: fix minor typo.

 gtatool/src/array/info.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60ce5c2b69322d27d8b2fd819c0f240e2ccb3701
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 21:22:58 +0100

    gtatool info: Improve output for empty GTAs.

 gtatool/src/array/info.cpp |   17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit 1e7fb7c12d888fa3461ca3cf301e84d63c238a83
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 21:22:08 +0100

    gtatool create: Support creation of empty GTAs.
    
    Empty GTAs either have zero dimensions or zero element components, or both.

 gtatool/src/array/create.cpp |   20 +++++++++++++-------
 gtatool/src/lib.cpp          |   10 ++++++++++
 2 files changed, 23 insertions(+), 7 deletions(-)

commit b3f9c0113133ec33117f3990fe889e53caf9ba36
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 20:58:38 +0100

    gtatool gui: improve display of array information.

 gtatool/src/gui/gui.cpp |   51 +++++++++++++++++++++++++++++++++++------------
 gtatool/src/gui/gui.h   |    6 +++---
 2 files changed, 41 insertions(+), 16 deletions(-)

commit f894c3b5ad4faf74f38a4223c7b8bcd98639a53e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 20:22:26 +0100

    gta info: print total number of elements.

 gtatool/src/array/info.cpp |    4 ++++
 1 file changed, 4 insertions(+)

commit 146b2f819518734295293df22cfb6f347bb1230a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 20:06:57 +0100

    gtatool: configure.ac: update Debian package name for libdcmtk.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit acb74150b5eb4b96e46688657e04bf1e0f5d6956
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:47:13 +0100

    gtatool: configure.ac: fix minor typo.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5a80405f0edd0fa092a5280844fbb8171016394
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:46:25 +0100

    gtatool: disable valgrind in tests by default.

 gtatool/configure.ac |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f6786933350b27e72fbb957e399387874870e618
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:43:20 +0100

    gtatool info: add test for -s.

 gtatool/tests/gta-info.sh |    1 +
 1 file changed, 1 insertion(+)

commit 6e3ff46befb145222621072212da79779aba505c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:42:21 +0100

    gtatool dimension-flatten: add test.

 gtatool/tests/Makefile.am              |    1 +
 gtatool/tests/gta-dimension-flatten.sh |   22 ++++++++++++++++++++++
 2 files changed, 23 insertions(+)

commit 3608d0ce5d382a11050c50d6331610899cd00bec
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:25:16 +0100

    gtatool gui: update with latest gtatool features.

 gtatool/src/gui/gui.cpp |  108 ++++++++++++++++++++++++++++++++++++++++++++++-
 gtatool/src/gui/gui.h   |    6 +++
 2 files changed, 112 insertions(+), 2 deletions(-)

commit de2ecd82d18191328e4b49181c09338ac6fb0a2d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:01:13 +0100

    gtatool: remove obsolete NEWS entries.
    
    Start updating NEWS again only after 1.0.0.

 gtatool/NEWS |    6 ------
 1 file changed, 6 deletions(-)

commit c278a863e6e4d31e8abf9a3b2dd6ba18366236bb
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 14:55:48 +0100

    gtatool: base module fio: add missing lib for w32.

 gtatool/configure.ac |    2 ++
 1 file changed, 2 insertions(+)

commit eaa14e738bb04a6177fae5cdee9c9ca9d27e8bd3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 14:55:33 +0100

    gtatool: base module fio: fix typo.

 gtatool/src/base/fio.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 523fc8dd085f116b4176cb7c38225b11f122e44a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 14:30:07 +0100

    gtatool: add check for symlink().

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b571f0a67395b2b36607304940a2e12641b012a1
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 14:29:05 +0100

    gtatool: port updated base module fio to w32.

 gtatool/src/base/fio.cpp |  133 +++++++++++++++++++++++++++++++---------------
 1 file changed, 90 insertions(+), 43 deletions(-)

commit 8bc8c6d8c2aaca09b552add9b14a8a7917d9bd49
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 13:54:39 +0100

    gtatool: update base modules.

 gtatool/configure.ac                        |    3 +-
 gtatool/src/array/compress.cpp              |    1 -
 gtatool/src/array/create.cpp                |    1 -
 gtatool/src/array/extract.cpp               |    1 -
 gtatool/src/array/fill.cpp                  |    1 -
 gtatool/src/array/info.cpp                  |    1 -
 gtatool/src/array/merge.cpp                 |    4 +-
 gtatool/src/array/resize.cpp                |    1 -
 gtatool/src/array/set.cpp                   |    1 -
 gtatool/src/array/tag.cpp                   |    1 -
 gtatool/src/array/uncompress.cpp            |    1 -
 gtatool/src/base/Makefile.am                |    2 +-
 gtatool/src/base/blob.h                     |   87 +-
 gtatool/src/base/cio.cpp                    |  968 ---------------------
 gtatool/src/base/cio.h                      |  148 ----
 gtatool/src/base/dbg.cpp                    |   15 +-
 gtatool/src/base/dbg.h                      |   15 +-
 gtatool/src/base/endianness.h               |    5 +-
 gtatool/src/base/exc.cpp                    |    9 +-
 gtatool/src/base/exc.h                      |    3 -
 gtatool/src/base/fio.cpp                    | 1237 +++++++++++++++++++++++++++
 gtatool/src/base/fio.h                      |  193 +++++
 gtatool/src/base/intcheck.h                 |    3 -
 gtatool/src/base/msg.cpp                    |   13 +-
 gtatool/src/base/msg.h                      |   19 +-
 gtatool/src/base/opt.cpp                    |    9 +-
 gtatool/src/base/opt.h                      |    7 +-
 gtatool/src/base/s11n.cpp                   |  566 ++++++++++--
 gtatool/src/base/s11n.h                     |  179 ++--
 gtatool/src/base/str.cpp                    |    9 +-
 gtatool/src/base/str.h                      |    5 +-
 gtatool/src/base/thread.cpp                 |  151 +++-
 gtatool/src/base/thread.h                   |   95 +-
 gtatool/src/component/component-add.cpp     |   10 +-
 gtatool/src/component/component-compute.cpp |   10 +-
 gtatool/src/component/component-convert.cpp |   10 +-
 gtatool/src/component/component-extract.cpp |   10 +-
 gtatool/src/component/component-merge.cpp   |   12 +-
 gtatool/src/component/component-reorder.cpp |   10 +-
 gtatool/src/component/component-set.cpp     |   10 +-
 gtatool/src/component/component-split.cpp   |   16 +-
 gtatool/src/conv-dcmtk/from-dcmtk.cpp       |    8 +-
 gtatool/src/conv-exr/from-exr.cpp           |    8 +-
 gtatool/src/conv-exr/to-exr.cpp             |    4 +-
 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp     |   14 +-
 gtatool/src/conv-ffmpeg/media_data.h        |    8 +-
 gtatool/src/conv-gdal/from-gdal.cpp         |    8 +-
 gtatool/src/conv-gdal/to-gdal.cpp           |    6 +-
 gtatool/src/conv-magick/from-magick.cpp     |    8 +-
 gtatool/src/conv-magick/to-magick.cpp       |    8 +-
 gtatool/src/conv-mat/from-mat.cpp           |    8 +-
 gtatool/src/conv-mat/to-mat.cpp             |   10 +-
 gtatool/src/conv-netpbm/from-netpbm.cpp     |   14 +-
 gtatool/src/conv-netpbm/to-netpbm.cpp       |   12 +-
 gtatool/src/conv-pfs/from-pfs.cpp           |   10 +-
 gtatool/src/conv-pfs/to-pfs.cpp             |   12 +-
 gtatool/src/conv-ply/from-ply.cpp           |    6 +-
 gtatool/src/conv-ply/to-ply.cpp             |    8 +-
 gtatool/src/conv-rat/from-rat.cpp           |   26 +-
 gtatool/src/conv-rat/to-rat.cpp             |   28 +-
 gtatool/src/conv-raw/from-raw.cpp           |   14 +-
 gtatool/src/conv-raw/to-raw.cpp             |   12 +-
 gtatool/src/conv-sndfile/from-sndfile.cpp   |    1 -
 gtatool/src/conv-sndfile/to-sndfile.cpp     |    1 -
 gtatool/src/dimension/dimension-add.cpp     |    1 -
 gtatool/src/dimension/dimension-extract.cpp |    1 -
 gtatool/src/dimension/dimension-flatten.cpp |    1 -
 gtatool/src/dimension/dimension-merge.cpp   |    1 -
 gtatool/src/dimension/dimension-reorder.cpp |    8 +-
 gtatool/src/dimension/dimension-reverse.cpp |    8 +-
 gtatool/src/dimension/dimension-split.cpp   |    8 +-
 gtatool/src/gui/gui.cpp                     |  116 +--
 gtatool/src/gui/gui.h                       |    2 +-
 gtatool/src/lib.cpp                         |   22 +-
 gtatool/src/stream/stream-extract.cpp       |    1 -
 gtatool/src/stream/stream-merge.cpp         |    1 -
 gtatool/src/stream/stream-split.cpp         |    1 -
 77 files changed, 2575 insertions(+), 1672 deletions(-)

commit 12d345d5dd6ad318b19586fef8d8ec5cf3f95eaf
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 13:13:31 +0100

    gtatool: move to C++0x.

 gtatool/configure.ac                        |    3 +++
 gtatool/src/component/component-compute.cpp |    2 +-
 gtatool/src/component/component-convert.cpp |    2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 1a4e3e7902f47502cc91e87ad4cc1bc7a85b0b6f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-01 14:53:40 +0100

    gtatool: info: implement --statistics.

 gtatool/src/array/info.cpp |  169 ++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 155 insertions(+), 14 deletions(-)

commit 79b66a9f68545ba9b51e10a16d3b2047a8c6bad1
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-29 11:53:01 +0100

    gtatool: from-ffmpeg: sync with Bino.

 gtatool/src/conv-ffmpeg/media_data.cpp   |   52 +++++++++++++++++----------
 gtatool/src/conv-ffmpeg/media_data.h     |    5 ++-
 gtatool/src/conv-ffmpeg/media_object.cpp |   57 +++++++++++++++++++++++++-----
 gtatool/src/conv-ffmpeg/media_object.h   |    2 +-
 4 files changed, 87 insertions(+), 29 deletions(-)

commit b751c6662a9b6c6de7da3344b64bf365fa32b505
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-28 16:25:06 +0100

    gtatool: fix invalid reuse of variable names; fixes compilation with clang++.

 gtatool/src/component/component-merge.cpp |    6 ++--
 gtatool/src/conv-ply/to-ply.cpp           |   44 ++++++++++++++---------------
 2 files changed, 25 insertions(+), 25 deletions(-)

commit 9671b6678bdfb9b13d6657e383cc6c61e6c47013
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-09 16:45:37 +0100

    gtatool: autotools update.

 gtatool/build-aux/config.guess |  222 +--
 gtatool/build-aux/config.sub   |  159 +-
 gtatool/build-aux/ltmain.sh    | 3990 ++++++++++++++++++++++++++--------------
 gtatool/m4/libtool.m4          | 2056 +++++++++++++--------
 gtatool/m4/ltoptions.m4        |   13 +-
 gtatool/m4/ltversion.m4        |   12 +-
 gtatool/m4/lt~obsolete.m4      |   12 +-
 7 files changed, 4136 insertions(+), 2328 deletions(-)

commit dfe2bfcb06bacedc0a3cc56156c3e74486b23387
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-22 13:43:27 +0200

    gtatool {from,to}-ffmpeg: relax ffmpeg version requirement.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4420cd1d5af27efa8011cb4a10d23aba23eb0271
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-22 13:40:51 +0200

    gtatool from-{pcd,ply,sndfile}: fix help text.

 gtatool/src/conv-pcd/from-pcd.cpp         |    2 +-
 gtatool/src/conv-ply/from-ply.cpp         |    2 +-
 gtatool/src/conv-sndfile/from-sndfile.cpp |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 05af702e82cb0125ea0e091915733b86b89cd91c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-15 15:01:56 +0200

    gtatool from-ply: handl CRLF in PLY files correctly.

 gtatool/src/conv-ply/plyfile.cpp |    4 ++++
 1 file changed, 4 insertions(+)

commit 4067260a75b938d4e1a7712e62d1fbf5390eaaf7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-11 11:53:29 +0200

    gtatool from-ply: avoid compiler warning.

 gtatool/src/conv-ply/from-ply.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 298b3f6b3b93e5a0e0eb618962cf8aab3a212c93
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-09-10 11:32:13 +0200

    gtatool from-ffmpeg: sync FFmpeg import from Bino.

 gtatool/src/conv-ffmpeg/media_object.cpp |   64 +++++++++++++++++++++++++++++-
 1 file changed, 63 insertions(+), 1 deletion(-)

commit ed0ce6a48d3ffe941c29d4ca7aad65cc7f217bdd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-07-04 08:56:40 +0200

    gtatool from-ffmpeg: sync FFmpeg import from Bino.

 gtatool/configure.ac                     |    2 +-
 gtatool/src/conv-ffmpeg/media_object.cpp |  125 ++++++++++--------------------
 2 files changed, 40 insertions(+), 87 deletions(-)

commit a433185a6437cc3e9b29b8ff6f2e05310bf640e3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-06-22 12:22:14 +0200

    gtatool component-convert: improve --help text.

 gtatool/src/component/component-convert.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7ee44246b152849b057bfabbdcfcc9b958b32027
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-06-22 10:49:07 +0200

    gtatool component-convert: add option to normalize range during conversion.

 gtatool/src/component/component-convert.cpp |  115 +++++++++++++++++++++++++--
 1 file changed, 108 insertions(+), 7 deletions(-)

commit e319ddad5fa3fe585cf8a393238437180e2fa2c7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-28 18:36:52 +0200

    gtatool: add from-sndfile, to-sndfile commands.

 gtatool/configure.ac                      |   15 +++
 gtatool/src/Makefile.am                   |   14 ++-
 gtatool/src/cmds.cpp                      |    4 +
 gtatool/src/conv-sndfile/from-sndfile.cpp |  142 +++++++++++++++++++++++++
 gtatool/src/conv-sndfile/to-sndfile.cpp   |  163 +++++++++++++++++++++++++++++
 5 files changed, 337 insertions(+), 1 deletion(-)

commit 2295440b8299fe4cb7bd75e34e96e37ba429a81a
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-28 18:32:40 +0200

    gtatool from-ffmpeg: fix audio meta data.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp |   11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 01d4171e2225674b414308cbdbe10a5ae7977759
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-28 18:22:59 +0200

    gtatool: make all conversion commands optional.

 gtatool/configure.ac    |   48 +++++++++++++++++++++++++++++++++++------------
 gtatool/src/Makefile.am |   16 +++++++++++-----
 gtatool/src/cmds.cpp    |   12 ++++++------
 3 files changed, 53 insertions(+), 23 deletions(-)

commit 9e09c3db8ac73736a257b13cb2aaaffda09a760d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-28 12:25:53 +0200

    gtatool from-ffmpeg: fix audio data import.
    
    Use a temporary file to store all audio data to be able to get the exact number
    of samples, and only afterward write everything to a GTA.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp |   66 ++++++++++++++++++++++---------
 1 file changed, 48 insertions(+), 18 deletions(-)

commit f896b33f30bf06e0bdf9de2b01120784fec3d530
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-26 16:43:24 +0200

    gtatool: add from-pcd, to-pcd commands.

 gtatool/configure.ac              |   15 +++
 gtatool/src/Makefile.am           |   12 +++
 gtatool/src/cmds.cpp              |    4 +
 gtatool/src/conv-pcd/from-pcd.cpp |  190 +++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-pcd/to-pcd.cpp   |  177 ++++++++++++++++++++++++++++++++++
 5 files changed, 398 insertions(+)

commit 17bddee473c2c1fbc48b76beeb6dfc98d87b7280
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-26 16:42:59 +0200

    gtatool from-ply: add metadata.

 gtatool/src/conv-ply/from-ply.cpp |   27 +++++++++++++++++++++------
 1 file changed, 21 insertions(+), 6 deletions(-)

commit c53148f90277d2c6894f6a2bec30e9e5f56846a0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-26 13:28:03 +0200

    gtatool: add from-ply/to-ply commands.

 gtatool/src/Makefile.am           |    8 +
 gtatool/src/cmds.cpp              |    4 +
 gtatool/src/conv-ply/from-ply.cpp |  219 +++
 gtatool/src/conv-ply/ply.h        |  174 +++
 gtatool/src/conv-ply/plyfile.cpp  | 2792 +++++++++++++++++++++++++++++++++++++
 gtatool/src/conv-ply/to-ply.cpp   |  238 ++++
 6 files changed, 3435 insertions(+)

commit a49cd938fcdf5af03f0e87be1753e34d5bbf9f9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-26 10:27:50 +0200

    gtatool: add dimension-flatten command.

 gtatool/src/Makefile.am                     |    1 +
 gtatool/src/cmds.cpp                        |    2 +
 gtatool/src/dimension/dimension-flatten.cpp |  136 +++++++++++++++++++++++++++
 3 files changed, 139 insertions(+)

commit a442d0e07784e1e953e9e02174b952b28af7fb9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-23 07:11:33 +0200

    gtatool from-ffmpeg: set metadata for audio.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp |    6 ++++++
 1 file changed, 6 insertions(+)

commit f82396d7bdbbdb17eab0d11ddda76b5c51520822
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-23 07:03:49 +0200

    gtatool from-ffmpeg: fix stream index check.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fbe056baa901fe59a06a14077d86eb311a6b414c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-23 06:54:30 +0200

    gtatool from-ffmpeg: various improvements.

 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp |   30 ++++++++++--------------------
 gtatool/src/lib.cpp                     |   12 ++++++------
 gtatool/src/lib.h                       |    4 ++--
 3 files changed, 18 insertions(+), 28 deletions(-)

commit d06558c8595bd00784c5c07c51838040fa852ebf
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 16:24:01 +0200

    gtatool: synchronize base modules from Bino.

 gtatool/src/base/dbg.cpp |    7 +++----
 gtatool/src/base/exc.cpp |    4 ++--
 gtatool/src/base/opt.cpp |    4 ++--
 gtatool/src/base/opt.h   |   33 ++++++++++++++++++---------------
 gtatool/src/base/str.cpp |   21 +++++++++++++++++++--
 gtatool/src/base/str.h   |    3 +++
 6 files changed, 47 insertions(+), 25 deletions(-)

commit adf10ebbec38405953f797b7fef0e63bcdd39e50
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 16:05:58 +0200

    gtatool: improve build order of modules.

 gtatool/configure.ac    |   40 ++++++------
 gtatool/src/Makefile.am |  160 ++++++++++++++++++++++++-----------------------
 2 files changed, 101 insertions(+), 99 deletions(-)

commit 8e54f30548c8ca08d934b3aecb7059b41a3c9134
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 15:09:36 +0200

    gtatool: add from-ffmpeg command.

 gtatool/configure.ac                     |  189 +--
 gtatool/src/Makefile.am                  |   36 +-
 gtatool/src/base/Makefile.am             |    6 +-
 gtatool/src/base/gettext.h               |    5 +
 gtatool/src/base/s11n.cpp                |  236 ++++
 gtatool/src/base/s11n.h                  |  153 +++
 gtatool/src/base/thread.cpp              |  170 +++
 gtatool/src/base/thread.h                |  153 +++
 gtatool/src/cmds.cpp                     |    2 +
 gtatool/src/conv-ffmpeg/from-ffmpeg.cpp  |  214 ++++
 gtatool/src/conv-ffmpeg/media_data.cpp   |  931 +++++++++++++++
 gtatool/src/conv-ffmpeg/media_data.h     |  349 ++++++
 gtatool/src/conv-ffmpeg/media_object.cpp | 1901 ++++++++++++++++++++++++++++++
 gtatool/src/conv-ffmpeg/media_object.h   |  150 +++
 14 files changed, 4405 insertions(+), 90 deletions(-)

commit 226a824332686a118a245a42c8326a4037279051
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 15:09:05 +0200

    gtatool from-magick: fix typo.

 gtatool/src/conv-magick/from-magick.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 30ae328067e2a169a91fad2f30410f0feef95f11
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-22 14:51:45 +0200

    gtatool: print only warnings by default.

 gtatool/src/main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47475462c7cd82220a8f6f1c3642131c51311862
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 22:01:28 +0200

    gtatool: require libgta >= 0.9.4.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99885cd0bf6761069911392e3ed6862d05e3ad66
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 21:51:49 +0200

    Clean up packaging.

 gtatool/Makefile.am             |   11 +-
 gtatool/build-aux/AddToPath.nsh |  453 ---------------------------------------
 gtatool/build-aux/gtatool.nsi   |  141 ------------
 gtatool/pkg/w32/AddToPath.nsh   |  453 +++++++++++++++++++++++++++++++++++++++
 gtatool/pkg/w32/gtatool.nsi     |  108 ++++++++++
 gtatool/pkg/w32/notes.txt       |    5 +
 6 files changed, 572 insertions(+), 599 deletions(-)

commit c2ad963f1072724cfcc1b2cd3b7262067f47a2c0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 19:57:31 +0200

    gtatool: move all conversion commands into conv-* modules.

 gtatool/src/Makefile.am                   |   76 +++--
 gtatool/src/cmds.cpp                      |   34 +-
 gtatool/src/conv-dcmtk/from-dcmtk.cpp     |  201 ++++++++++++
 gtatool/src/conv-exr/from-exr.cpp         |  148 +++++++++
 gtatool/src/conv-exr/to-exr.cpp           |  260 +++++++++++++++
 gtatool/src/conv-gdal/from-gdal.cpp       |  438 +++++++++++++++++++++++++
 gtatool/src/conv-gdal/to-gdal.cpp         |  395 ++++++++++++++++++++++
 gtatool/src/conv-magick/from-magick.cpp   |  187 +++++++++++
 gtatool/src/conv-magick/to-magick.cpp     |  226 +++++++++++++
 gtatool/src/conv-mat/from-mat.cpp         |  247 ++++++++++++++
 gtatool/src/conv-mat/to-mat.cpp           |  278 ++++++++++++++++
 gtatool/src/conv-netpbm/from-netpbm.cpp   |  205 ++++++++++++
 gtatool/src/conv-netpbm/to-netpbm.cpp     |  211 ++++++++++++
 gtatool/src/conv-pfs/from-pfs.cpp         |  209 ++++++++++++
 gtatool/src/conv-pfs/to-pfs.cpp           |  289 +++++++++++++++++
 gtatool/src/conv-rat/from-rat.cpp         |  503 +++++++++++++++++++++++++++++
 gtatool/src/conv-rat/to-rat.cpp           |  238 ++++++++++++++
 gtatool/src/conv-raw/from-raw.cpp         |  254 +++++++++++++++
 gtatool/src/conv-raw/to-raw.cpp           |  129 ++++++++
 gtatool/src/format-dcmtk/from-dcmtk.cpp   |  201 ------------
 gtatool/src/format-exr/from-exr.cpp       |  148 ---------
 gtatool/src/format-exr/to-exr.cpp         |  260 ---------------
 gtatool/src/format-gdal/from-gdal.cpp     |  438 -------------------------
 gtatool/src/format-gdal/to-gdal.cpp       |  395 ----------------------
 gtatool/src/format-magick/from-magick.cpp |  187 -----------
 gtatool/src/format-magick/to-magick.cpp   |  226 -------------
 gtatool/src/format-mat/from-mat.cpp       |  247 --------------
 gtatool/src/format-mat/to-mat.cpp         |  278 ----------------
 gtatool/src/format-netpbm/from-netpbm.cpp |  205 ------------
 gtatool/src/format-netpbm/to-netpbm.cpp   |  211 ------------
 gtatool/src/format-pfs/from-pfs.cpp       |  209 ------------
 gtatool/src/format-pfs/to-pfs.cpp         |  289 -----------------
 gtatool/src/format-rat/from-rat.cpp       |  503 -----------------------------
 gtatool/src/format-rat/to-rat.cpp         |  238 --------------
 gtatool/src/format-raw/from-raw.cpp       |  254 ---------------
 gtatool/src/format-raw/to-raw.cpp         |  129 --------
 36 files changed, 4478 insertions(+), 4468 deletions(-)

commit faa30f1ae6066e54c195c06d23ba1a543226e35f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 18:17:57 +0200

    gtatool: make error messages more consistent.

 gtatool/src/main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b892da59297fb855cd37cb063de85640f211ed35
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 18:15:02 +0200

    gtatool: bump version to 0.9.4.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7fe846ca5946afe87bac1a30bda26028f2c4dfe6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 17:41:17 +0200

    gtatool: restructure source files and modules.

 gtatool/configure.ac                        |    1 -
 gtatool/src/Makefile.am                     |  201 ++-
 gtatool/src/array/compress.cpp              |  114 ++
 gtatool/src/array/create.cpp                |  119 ++
 gtatool/src/array/extract.cpp               |  149 ++
 gtatool/src/array/fill.cpp                  |  156 ++
 gtatool/src/array/info.cpp                  |  156 ++
 gtatool/src/array/merge.cpp                 |  207 +++
 gtatool/src/array/resize.cpp                |  179 +++
 gtatool/src/array/set.cpp                   |  173 ++
 gtatool/src/array/tag.cpp                   |  583 +++++++
 gtatool/src/array/uncompress.cpp            |   84 +
 gtatool/src/cmds.cpp                        |  115 +-
 gtatool/src/cmds/Makefile.am                |  210 ---
 gtatool/src/cmds/component-add.cpp          |  210 ---
 gtatool/src/cmds/component-compute.cpp      |  389 -----
 gtatool/src/cmds/component-convert.cpp      |  655 --------
 gtatool/src/cmds/component-extract.cpp      |  205 ---
 gtatool/src/cmds/component-merge.cpp        |  175 --
 gtatool/src/cmds/component-reorder.cpp      |  179 ---
 gtatool/src/cmds/component-set.cpp          |  168 --
 gtatool/src/cmds/component-split.cpp        |  180 ---
 gtatool/src/cmds/compress.cpp               |  114 --
 gtatool/src/cmds/create.cpp                 |  119 --
 gtatool/src/cmds/dimension-add.cpp          |  127 --
 gtatool/src/cmds/dimension-extract.cpp      |  136 --
 gtatool/src/cmds/dimension-merge.cpp        |  166 --
 gtatool/src/cmds/dimension-reorder.cpp      |  159 --
 gtatool/src/cmds/dimension-reverse.cpp      |  140 --
 gtatool/src/cmds/dimension-split.cpp        |  155 --
 gtatool/src/cmds/extract.cpp                |  149 --
 gtatool/src/cmds/fill.cpp                   |  156 --
 gtatool/src/cmds/from-dcmtk.cpp             |  201 ---
 gtatool/src/cmds/from-exr.cpp               |  148 --
 gtatool/src/cmds/from-gdal.cpp              |  438 -----
 gtatool/src/cmds/from-magick.cpp            |  187 ---
 gtatool/src/cmds/from-mat.cpp               |  247 ---
 gtatool/src/cmds/from-netpbm.cpp            |  205 ---
 gtatool/src/cmds/from-pfs.cpp               |  209 ---
 gtatool/src/cmds/from-rat.cpp               |  503 ------
 gtatool/src/cmds/from-raw.cpp               |  254 ---
 gtatool/src/cmds/gui.cpp                    | 2297 ---------------------------
 gtatool/src/cmds/gui.h                      |  259 ---
 gtatool/src/cmds/gui.png                    |  Bin 2776 -> 0 bytes
 gtatool/src/cmds/gui.qrc                    |    5 -
 gtatool/src/cmds/info.cpp                   |  156 --
 gtatool/src/cmds/merge.cpp                  |  207 ---
 gtatool/src/cmds/resize.cpp                 |  179 ---
 gtatool/src/cmds/set.cpp                    |  173 --
 gtatool/src/cmds/stream-extract.cpp         |  239 ---
 gtatool/src/cmds/stream-merge.cpp           |   87 -
 gtatool/src/cmds/stream-split.cpp           |  140 --
 gtatool/src/cmds/tag.cpp                    |  583 -------
 gtatool/src/cmds/to-exr.cpp                 |  260 ---
 gtatool/src/cmds/to-gdal.cpp                |  395 -----
 gtatool/src/cmds/to-magick.cpp              |  226 ---
 gtatool/src/cmds/to-mat.cpp                 |  278 ----
 gtatool/src/cmds/to-netpbm.cpp              |  211 ---
 gtatool/src/cmds/to-pfs.cpp                 |  289 ----
 gtatool/src/cmds/to-rat.cpp                 |  238 ---
 gtatool/src/cmds/to-raw.cpp                 |  129 --
 gtatool/src/cmds/uncompress.cpp             |   84 -
 gtatool/src/component/component-add.cpp     |  210 +++
 gtatool/src/component/component-compute.cpp |  389 +++++
 gtatool/src/component/component-convert.cpp |  655 ++++++++
 gtatool/src/component/component-extract.cpp |  205 +++
 gtatool/src/component/component-merge.cpp   |  175 ++
 gtatool/src/component/component-reorder.cpp |  179 +++
 gtatool/src/component/component-set.cpp     |  168 ++
 gtatool/src/component/component-split.cpp   |  180 +++
 gtatool/src/dimension/dimension-add.cpp     |  127 ++
 gtatool/src/dimension/dimension-extract.cpp |  136 ++
 gtatool/src/dimension/dimension-merge.cpp   |  166 ++
 gtatool/src/dimension/dimension-reorder.cpp |  159 ++
 gtatool/src/dimension/dimension-reverse.cpp |  140 ++
 gtatool/src/dimension/dimension-split.cpp   |  155 ++
 gtatool/src/format-dcmtk/from-dcmtk.cpp     |  201 +++
 gtatool/src/format-exr/from-exr.cpp         |  148 ++
 gtatool/src/format-exr/to-exr.cpp           |  260 +++
 gtatool/src/format-gdal/from-gdal.cpp       |  438 +++++
 gtatool/src/format-gdal/to-gdal.cpp         |  395 +++++
 gtatool/src/format-magick/from-magick.cpp   |  187 +++
 gtatool/src/format-magick/to-magick.cpp     |  226 +++
 gtatool/src/format-mat/from-mat.cpp         |  247 +++
 gtatool/src/format-mat/to-mat.cpp           |  278 ++++
 gtatool/src/format-netpbm/from-netpbm.cpp   |  205 +++
 gtatool/src/format-netpbm/to-netpbm.cpp     |  211 +++
 gtatool/src/format-pfs/from-pfs.cpp         |  209 +++
 gtatool/src/format-pfs/to-pfs.cpp           |  289 ++++
 gtatool/src/format-rat/from-rat.cpp         |  503 ++++++
 gtatool/src/format-rat/to-rat.cpp           |  238 +++
 gtatool/src/format-raw/from-raw.cpp         |  254 +++
 gtatool/src/format-raw/to-raw.cpp           |  129 ++
 gtatool/src/gui/gui.cpp                     | 2297 +++++++++++++++++++++++++++
 gtatool/src/gui/gui.h                       |  259 +++
 gtatool/src/gui/gui.png                     |  Bin 0 -> 2776 bytes
 gtatool/src/gui/gui.qrc                     |    5 +
 gtatool/src/stream/stream-extract.cpp       |  239 +++
 gtatool/src/stream/stream-merge.cpp         |   87 +
 gtatool/src/stream/stream-split.cpp         |  140 ++
 100 files changed, 12663 insertions(+), 12682 deletions(-)

commit cb85c28d2e91e01100d387ce87e90f4f9be4671c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 16:45:35 +0200

    gtatool: udpate and cleanup build system.
    
    Use pkg-config where available, and remove unnecessary gnulib complexity.

 gtatool/build-aux/config.rpath |  104 +++++++++-------
 gtatool/configure.ac           |  232 +++++++++-------------------------
 gtatool/m4/00gnulib.m4         |   30 -----
 gtatool/m4/absolute-header.m4  |   77 ------------
 gtatool/m4/gnulib-cache.m4     |   37 ------
 gtatool/m4/gnulib-common.m4    |  201 ------------------------------
 gtatool/m4/gnulib-comp.m4      |  193 -----------------------------
 gtatool/m4/gnulib-tool.m4      |   57 ---------
 gtatool/m4/iconv.m4            |  268 ++++++++++++++++++++++++++++++++++++++++
 gtatool/m4/lib-ld.m4           |   21 ++--
 gtatool/m4/lib-link.m4         |    9 +-
 gtatool/m4/lib-prefix.m4       |    2 +-
 gtatool/src/Makefile.am        |    5 +-
 gtatool/src/cmds/Makefile.am   |   48 ++++---
 14 files changed, 438 insertions(+), 846 deletions(-)

commit 90bde819c90ce6143d0fcb1793a8522d99f3ec69
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 14:07:38 +0200

    gtatool: fix from-dcmtk for dcmtk version 3.6.0.

 gtatool/configure.ac |    4 ++--
 gtatool/src/cmds.cpp |    3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit db9982822788fe52f440f937f9a109c5466006cf
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-02 13:07:17 +0200

    gtatool: avoid compiler warnings.

 gtatool/src/cmds/component-convert.cpp |    4 ++++
 1 file changed, 4 insertions(+)

commit 34367afcfd71f72fcb1f45f65c4889c76b64bcc6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-19 10:09:06 +0200

    gtatool: synchronize base modules from Bino.

 gtatool/configure.ac     |    2 +-
 gtatool/src/base/dbg.cpp |   10 +-
 gtatool/src/base/exc.cpp |    9 +-
 gtatool/src/base/msg.cpp |  422 ++++++++++++++++++++++++++++++++++++++++------
 gtatool/src/base/msg.h   |   30 ++++
 gtatool/src/base/opt.cpp |   25 +--
 gtatool/src/base/opt.h   |   58 +++++++
 gtatool/src/base/str.cpp |   38 +++--
 8 files changed, 511 insertions(+), 83 deletions(-)

commit c00ce1bac0d832346c31443416d7671b384896c2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-04-10 21:40:51 +0200

    gtatool: base module str: do not clobber LC_CTYPE locale.

 gtatool/src/base/str.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 47537176d7ec999015acd6d35e53019f89702e61
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-18 10:42:52 +0100

    gtatool: update the base modules.

 gtatool/configure.ac             |    1 +
 gtatool/src/base/Makefile.am     |    2 +-
 gtatool/src/base/dbg.cpp         |  146 ++++++++++++++++++++++++++++++++++++++
 gtatool/src/base/dbg.h           |   53 ++++++++++++++
 gtatool/src/base/debug.cpp       |  144 -------------------------------------
 gtatool/src/base/debug.h         |   51 -------------
 gtatool/src/base/msg.cpp         |   21 +++---
 gtatool/src/base/opt.cpp         |   22 +++---
 gtatool/src/base/opt.h           |    4 +-
 gtatool/src/base/str.cpp         |   16 ++---
 gtatool/src/base/str.h           |    8 +--
 gtatool/src/cmds.cpp             |    2 +-
 gtatool/src/cmds/from-dcmtk.cpp  |    2 +-
 gtatool/src/cmds/from-exr.cpp    |    1 -
 gtatool/src/cmds/from-gdal.cpp   |    2 +-
 gtatool/src/cmds/from-magick.cpp |    1 -
 gtatool/src/cmds/from-mat.cpp    |    1 -
 gtatool/src/cmds/from-netpbm.cpp |    1 -
 gtatool/src/cmds/from-pfs.cpp    |    1 -
 gtatool/src/cmds/from-rat.cpp    |    2 +-
 gtatool/src/cmds/from-raw.cpp    |    1 -
 gtatool/src/cmds/to-exr.cpp      |    2 +-
 gtatool/src/cmds/to-gdal.cpp     |    2 +-
 gtatool/src/cmds/to-magick.cpp   |    2 +-
 gtatool/src/cmds/to-mat.cpp      |    2 +-
 gtatool/src/cmds/to-netpbm.cpp   |    1 -
 gtatool/src/cmds/to-pfs.cpp      |    2 +-
 gtatool/src/cmds/to-rat.cpp      |    2 +-
 gtatool/src/cmds/to-raw.cpp      |    1 -
 gtatool/src/lib.cpp              |    4 +-
 gtatool/src/main.cpp             |    4 +-
 31 files changed, 251 insertions(+), 253 deletions(-)

commit 36bf4f6b3eba2d1bc8bb7de10214b769cbc222cd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:54:32 +0100

    Update copyright information in version output for 2011.

 gtatool/src/cmds/gui.cpp |    2 +-
 gtatool/src/main.cpp     |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5a5ba823033b2f5f15efcb682d8f0a030646e121
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:52:35 +0100

    gtatool: remove the now-obsolete buffering from the element loop.

 gtatool/src/cmds/create.cpp            |    1 -
 gtatool/src/cmds/dimension-add.cpp     |    1 -
 gtatool/src/cmds/dimension-extract.cpp |    1 -
 gtatool/src/cmds/dimension-merge.cpp   |    2 -
 gtatool/src/cmds/dimension-reorder.cpp |    1 -
 gtatool/src/cmds/dimension-reverse.cpp |    1 -
 gtatool/src/cmds/dimension-split.cpp   |    2 -
 gtatool/src/cmds/extract.cpp           |    1 -
 gtatool/src/cmds/fill.cpp              |    1 -
 gtatool/src/cmds/merge.cpp             |    4 --
 gtatool/src/cmds/resize.cpp            |    1 -
 gtatool/src/cmds/set.cpp               |    2 -
 gtatool/src/lib.cpp                    |   84 ++++----------------------------
 gtatool/src/lib.h                      |   15 ++----
 14 files changed, 12 insertions(+), 105 deletions(-)

commit 73bba023b75004a2b8092ebbb99d9c51a9bc0b97
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:52:18 +0100

    Update copyright information for 2011.

 gtatool/Makefile.am                    |    3 ++-
 gtatool/build-aux/gtatool.nsi          |    3 ++-
 gtatool/configure.ac                   |    3 ++-
 gtatool/doc/gta.1                      |    5 +++--
 gtatool/doc/gta.texi                   |    3 ++-
 gtatool/src/Makefile.am                |    3 ++-
 gtatool/src/base/Makefile.am           |    3 ++-
 gtatool/src/base/blob.h                |    5 ++---
 gtatool/src/base/cio.cpp               |    4 +---
 gtatool/src/base/cio.h                 |    4 +---
 gtatool/src/base/debug.cpp             |    4 +---
 gtatool/src/base/debug.h               |    4 +---
 gtatool/src/base/endianness.h          |    5 ++---
 gtatool/src/base/exc.cpp               |    4 +---
 gtatool/src/base/exc.h                 |    4 +---
 gtatool/src/base/intcheck.h            |    5 ++---
 gtatool/src/base/msg.cpp               |    4 +---
 gtatool/src/base/msg.h                 |    5 ++---
 gtatool/src/base/opt.cpp               |    4 +---
 gtatool/src/base/opt.h                 |    4 +---
 gtatool/src/base/str.cpp               |    5 ++---
 gtatool/src/base/str.h                 |    5 ++---
 gtatool/src/cmds.cpp                   |    4 +---
 gtatool/src/cmds.h                     |    4 +---
 gtatool/src/cmds/Makefile.am           |    3 ++-
 gtatool/src/cmds/component-add.cpp     |    5 ++---
 gtatool/src/cmds/component-compute.cpp |    5 ++---
 gtatool/src/cmds/component-convert.cpp |    5 ++---
 gtatool/src/cmds/component-extract.cpp |    5 ++---
 gtatool/src/cmds/component-merge.cpp   |    5 ++---
 gtatool/src/cmds/component-reorder.cpp |    5 ++---
 gtatool/src/cmds/component-set.cpp     |    5 ++---
 gtatool/src/cmds/component-split.cpp   |    5 ++---
 gtatool/src/cmds/compress.cpp          |    5 ++---
 gtatool/src/cmds/create.cpp            |    5 ++---
 gtatool/src/cmds/dimension-add.cpp     |    5 ++---
 gtatool/src/cmds/dimension-extract.cpp |    5 ++---
 gtatool/src/cmds/dimension-merge.cpp   |    5 ++---
 gtatool/src/cmds/dimension-reorder.cpp |    5 ++---
 gtatool/src/cmds/dimension-reverse.cpp |    5 ++---
 gtatool/src/cmds/dimension-split.cpp   |    5 ++---
 gtatool/src/cmds/extract.cpp           |    5 ++---
 gtatool/src/cmds/fill.cpp              |    5 ++---
 gtatool/src/cmds/from-dcmtk.cpp        |    5 ++---
 gtatool/src/cmds/from-exr.cpp          |    5 ++---
 gtatool/src/cmds/from-gdal.cpp         |    2 --
 gtatool/src/cmds/from-magick.cpp       |    5 ++---
 gtatool/src/cmds/from-mat.cpp          |    5 ++---
 gtatool/src/cmds/from-netpbm.cpp       |    5 ++---
 gtatool/src/cmds/from-pfs.cpp          |    5 ++---
 gtatool/src/cmds/from-rat.cpp          |    5 ++---
 gtatool/src/cmds/from-raw.cpp          |    5 ++---
 gtatool/src/cmds/gui.cpp               |    2 --
 gtatool/src/cmds/gui.h                 |    2 --
 gtatool/src/cmds/info.cpp              |    5 ++---
 gtatool/src/cmds/merge.cpp             |    5 ++---
 gtatool/src/cmds/resize.cpp            |    5 ++---
 gtatool/src/cmds/set.cpp               |    5 ++---
 gtatool/src/cmds/stream-extract.cpp    |    4 +---
 gtatool/src/cmds/stream-merge.cpp      |    5 ++---
 gtatool/src/cmds/stream-split.cpp      |    5 ++---
 gtatool/src/cmds/tag.cpp               |    5 ++---
 gtatool/src/cmds/to-exr.cpp            |    5 ++---
 gtatool/src/cmds/to-gdal.cpp           |    5 ++---
 gtatool/src/cmds/to-magick.cpp         |    5 ++---
 gtatool/src/cmds/to-mat.cpp            |    5 ++---
 gtatool/src/cmds/to-netpbm.cpp         |    5 ++---
 gtatool/src/cmds/to-pfs.cpp            |    5 ++---
 gtatool/src/cmds/to-rat.cpp            |    5 ++---
 gtatool/src/cmds/to-raw.cpp            |    5 ++---
 gtatool/src/cmds/uncompress.cpp        |    5 ++---
 gtatool/src/lib.cpp                    |    5 ++---
 gtatool/src/lib.h                      |    5 ++---
 gtatool/src/main.cpp                   |    4 +---
 gtatool/tests/Makefile.am              |    3 ++-
 gtatool/tests/gta-compress.sh          |    3 ++-
 gtatool/tests/gta-create.sh            |    3 ++-
 gtatool/tests/gta-dimension-add.sh     |    3 ++-
 gtatool/tests/gta-dimension-extract.sh |    3 ++-
 gtatool/tests/gta-dimension-merge.sh   |    3 ++-
 gtatool/tests/gta-dimension-reorder.sh |    3 ++-
 gtatool/tests/gta-dimension-reverse.sh |    3 ++-
 gtatool/tests/gta-dimension-split.sh   |    3 ++-
 gtatool/tests/gta-extract.sh           |    3 ++-
 gtatool/tests/gta-fill.sh              |    3 ++-
 gtatool/tests/gta-help.sh              |    3 ++-
 gtatool/tests/gta-info.sh              |    3 ++-
 gtatool/tests/gta-merge.sh             |    3 ++-
 gtatool/tests/gta-resize.sh            |    3 ++-
 gtatool/tests/gta-set.sh               |    3 ++-
 gtatool/tests/gta-stream-extract.sh    |    3 ++-
 gtatool/tests/gta-stream-merge.sh      |    3 ++-
 gtatool/tests/gta-stream-split.sh      |    3 ++-
 gtatool/tests/gta-tag.sh               |    3 ++-
 gtatool/tests/gta-uncompress.sh        |    3 ++-
 gtatool/tests/gta-version.sh           |    3 ++-
 96 files changed, 174 insertions(+), 226 deletions(-)

commit 932da7ba403c2986e1ed83621beeb99768a5d0c2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-08 10:00:50 +0100

    Update website and bug report address.

 gtatool/README                |    2 +-
 gtatool/build-aux/gtatool.nsi |    8 ++++----
 gtatool/configure.ac          |    4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 6ba678b38140945d8b94729a4d29379cc6dadcc2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-25 16:36:49 +0100

    gtatool from-gdal: Do not fail on invalid tag values.
    
    Instead, just print a warning for each failing tag.

 gtatool/src/cmds/from-gdal.cpp |   93 +++++++++++++++++++++++-----------------
 1 file changed, 53 insertions(+), 40 deletions(-)

commit 324d29a828ea939d573ec54ae60cb421b43a8898
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-11 13:42:00 +0100

    gtatool gui: fix typo in about box.

 gtatool/src/cmds/gui.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7289c35801d1cad9890186921d96009fdd2edea2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-11 13:41:14 +0100

    gtatool gui: use QLineEdit instead of QLabel for potentially very long labels.

 gtatool/src/cmds/gui.cpp |   12 ++++++++----
 gtatool/src/cmds/gui.h   |   10 ++++++----
 2 files changed, 14 insertions(+), 8 deletions(-)

commit 79c082533934206c6dbd76cd282e98bd9df561a4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-09 22:12:24 +0200

    dimension-split: do not leave temporary files.

 gtatool/src/cmds/dimension-split.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5c6245691992b0bc8bf4719bd2101d687862c254
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-09 21:39:21 +0200

    Move the dimension-* commands to the new array and element loops, and add tests.

 gtatool/src/cmds/dimension-add.cpp     |  100 +++++++++---------------
 gtatool/src/cmds/dimension-extract.cpp |  116 +++++++++++-----------------
 gtatool/src/cmds/dimension-merge.cpp   |  111 ++++++++++++--------------
 gtatool/src/cmds/dimension-reorder.cpp |  119 +++++++++++-----------------
 gtatool/src/cmds/dimension-reverse.cpp |   98 +++++++++--------------
 gtatool/src/cmds/dimension-split.cpp   |  133 +++++++++++++++-----------------
 gtatool/src/lib.h                      |   11 ++-
 gtatool/tests/Makefile.am              |   13 +++-
 gtatool/tests/gta-dimension-add.sh     |   25 ++++++
 gtatool/tests/gta-dimension-extract.sh |   21 +++++
 gtatool/tests/gta-dimension-merge.sh   |   23 ++++++
 gtatool/tests/gta-dimension-reorder.sh |   20 +++++
 gtatool/tests/gta-dimension-reverse.sh |   20 +++++
 gtatool/tests/gta-dimension-split.sh   |   21 +++++
 14 files changed, 424 insertions(+), 407 deletions(-)

commit 55fb375fa0715605b434d84b10fb32be55b774c3
Merge: 7f5ceaa 766e3a3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-04 11:21:17 +0200

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit 7f5ceaaf728db711b96ad11f981f83b63012997c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-04 11:20:24 +0200

    Improve check for optreset, for base/opt.

 gtatool/configure.ac     |    3 +--
 gtatool/src/base/opt.cpp |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 766e3a3429bc4a86a351f9c10dc4b50f76031181
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-09-02 08:50:23 +0200

    Remove stale CFLAGS.

 gtatool/src/base/Makefile.am |    1 -
 1 file changed, 1 deletion(-)

commit f43ff28f132ee4fb90179f4b08bb084d2ea31a1d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 22:29:15 +0200

    Further improvements to exception handling.

 gtatool/src/base/cio.cpp         |    2 +-
 gtatool/src/base/debug.cpp       |    2 +-
 gtatool/src/base/exc.cpp         |  107 ++++++++++++++++++--------------------
 gtatool/src/base/exc.h           |   21 +++++---
 gtatool/src/cmds/from-dcmtk.cpp  |   10 ++--
 gtatool/src/cmds/from-exr.cpp    |    6 +--
 gtatool/src/cmds/from-gdal.cpp   |    8 +--
 gtatool/src/cmds/from-mat.cpp    |    2 +-
 gtatool/src/cmds/from-netpbm.cpp |    4 +-
 gtatool/src/cmds/to-exr.cpp      |   10 ++--
 gtatool/src/cmds/to-gdal.cpp     |   20 +++----
 gtatool/src/cmds/to-mat.cpp      |    5 +-
 gtatool/src/cmds/to-netpbm.cpp   |   12 ++---
 gtatool/src/cmds/to-pfs.cpp      |   10 ++--
 gtatool/src/cmds/to-rat.cpp      |    2 +-
 gtatool/src/cmds/to-raw.cpp      |    2 +-
 gtatool/src/lib.cpp              |    2 +-
 17 files changed, 112 insertions(+), 113 deletions(-)

commit 075ce65746d53d55e8e1ff6032009b57bb147a67
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 21:03:43 +0200

    Finally get exception handling right. See comments in base/exc.h.

 gtatool/src/base/blob.h             |   24 ++++++------
 gtatool/src/base/cio.cpp            |   74 +++++++++++++++++------------------
 gtatool/src/base/cio.h              |   70 ++++++++++++++++-----------------
 gtatool/src/base/exc.h              |   11 ++++++
 gtatool/src/base/intcheck.h         |   10 ++---
 gtatool/src/base/str.cpp            |   32 +++++++--------
 gtatool/src/base/str.h              |   32 +++++++--------
 gtatool/src/cmds/stream-extract.cpp |    6 +--
 gtatool/src/cmds/tag.cpp            |    4 +-
 gtatool/src/lib.cpp                 |   38 +++++++++---------
 gtatool/src/lib.h                   |   36 ++++++++---------
 11 files changed, 174 insertions(+), 163 deletions(-)

commit 74bc837fa1eda9d632115af10f767ed552143fd7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 20:43:17 +0200

    Improve array loop API for stream-split special case. Update caller.

 gtatool/src/cmds/stream-split.cpp |   12 +++++-------
 gtatool/src/lib.cpp               |   12 ++++++++++++
 gtatool/src/lib.h                 |    7 +------
 3 files changed, 18 insertions(+), 13 deletions(-)

commit 8be28c87acbf4fb9dc66c40a342d6f8c3e65dcf6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 09:31:37 +0200

    Move the stream commands to the new array and element loop.
    
    Also make some changes to the order of arguments, and add tests.

 gtatool/src/cmds/stream-extract.cpp |   70 ++++++++++++-----------------------
 gtatool/src/cmds/stream-merge.cpp   |   40 +++++---------------
 gtatool/src/cmds/stream-split.cpp   |   67 +++++++++++++++------------------
 gtatool/src/lib.h                   |   13 ++++++-
 gtatool/tests/Makefile.am           |    6 ++-
 gtatool/tests/gta-stream-extract.sh |   32 ++++++++++++++++
 gtatool/tests/gta-stream-merge.sh   |   29 +++++++++++++++
 gtatool/tests/gta-stream-split.sh   |   30 +++++++++++++++
 8 files changed, 169 insertions(+), 118 deletions(-)

commit ac1351d9663fcabb806f3c5d5ce5c6c7e947b57c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 09:28:41 +0200

    Fix catch() block.

 gtatool/src/cmds/uncompress.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c81cd9659ee926915c43deb20b097b59e4530ce
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-30 06:05:16 +0200

    Improve the array_loop and element_loop interfaces.
    
    Update all callers. Remove limitations of the set command.

 gtatool/src/cmds/compress.cpp   |    3 +-
 gtatool/src/cmds/create.cpp     |    6 ++-
 gtatool/src/cmds/extract.cpp    |    6 ++-
 gtatool/src/cmds/fill.cpp       |    6 ++-
 gtatool/src/cmds/info.cpp       |    3 +-
 gtatool/src/cmds/merge.cpp      |   54 +++++++++-----------
 gtatool/src/cmds/resize.cpp     |   13 +++--
 gtatool/src/cmds/set.cpp        |  108 ++++++++++++++++++++++-----------------
 gtatool/src/cmds/tag.cpp        |    3 +-
 gtatool/src/cmds/uncompress.cpp |    3 +-
 gtatool/src/lib.cpp             |   96 +++++++++++++++++++---------------
 gtatool/src/lib.h               |   23 ++++++---
 gtatool/tests/gta-set.sh        |   15 ++++--
 13 files changed, 193 insertions(+), 146 deletions(-)

commit 960abde5430577a71d45d25633f1b0f0c3969233
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 17:33:28 +0200

    Add and improve tests.

 gtatool/tests/Makefile.am       |   15 ++++++++++-----
 gtatool/tests/gta-compress.sh   |    4 ++--
 gtatool/tests/gta-extract.sh    |   20 ++++++++++++++++++++
 gtatool/tests/gta-fill.sh       |   19 +++++++++++++++++++
 gtatool/tests/gta-merge.sh      |   21 +++++++++++++++++++++
 gtatool/tests/gta-resize.sh     |   26 ++++++++++++++++++++++++++
 gtatool/tests/gta-set.sh        |   23 +++++++++++++++++++++++
 gtatool/tests/gta-uncompress.sh |    2 +-
 8 files changed, 122 insertions(+), 8 deletions(-)

commit a0df3f31fe06e0056d1f24e715767e28b4cc81ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 17:19:08 +0200

    Move all array-based commands to the new array and element loop implementations.

 gtatool/src/cmds/compress.cpp   |   42 +++-------
 gtatool/src/cmds/create.cpp     |   34 ++------
 gtatool/src/cmds/extract.cpp    |  115 ++++++++++-----------------
 gtatool/src/cmds/fill.cpp       |  113 ++++++++++----------------
 gtatool/src/cmds/info.cpp       |  155 ++++++++++++++++--------------------
 gtatool/src/cmds/merge.cpp      |   32 +++++---
 gtatool/src/cmds/resize.cpp     |  166 +++++++++++++++++----------------------
 gtatool/src/cmds/set.cpp        |  124 ++++++++++++-----------------
 gtatool/src/cmds/tag.cpp        |   47 +++--------
 gtatool/src/cmds/uncompress.cpp |   41 +++-------
 10 files changed, 330 insertions(+), 539 deletions(-)

commit 28cba9273c546745a07ef3b7a9176f90ccf5df4d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 17:17:27 +0200

    Add an array loop and an element loop to be used by most gtatool commands.
    
    This harmonizes error messages and reduces code duplication. Additionally,
    the element loop provides input/output buffering and therefore improves
    performance.

 gtatool/src/lib.cpp |  275 +++++++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/lib.h   |   81 +++++++++++++++
 2 files changed, 356 insertions(+)

commit 4797d1c1518ac2f4108692706d1f29471d59c4c3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 17:16:54 +0200

    Minor cleanup.

 gtatool/src/base/exc.cpp |    9 ---------
 gtatool/src/base/exc.h   |    6 +-----
 2 files changed, 1 insertion(+), 14 deletions(-)

commit 3c2b26fc193ec30db83d3e81f98c0fc33f3156f0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:52:02 +0200

    Fix detection of dlopen() for dynamic module support.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d481df94cc46f2c7bec29b2680b7edc79d22fb33
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:28:02 +0200

    Bump version to 0.9.3, and require libgta >= 0.9.3.

 gtatool/configure.ac |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 279e9febe60f9b6428e7cae26afc1f7ab9b506c0
Merge: 5fcb964 78fc758
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:24:54 +0200

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit 32ee1210bed8af59e7ad2e32cbe6ef0872252e61
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:23:39 +0200

    Improve metadata handling for GDAL import/export.

 gtatool/src/cmds/from-gdal.cpp |  109 +++++++++++++++++++++++++++++++++-------
 gtatool/src/cmds/to-gdal.cpp   |   92 ++++++++++++++++++++++++++++-----
 2 files changed, 170 insertions(+), 31 deletions(-)

commit e51ec9dc1217ea1626eeefcab985b32ab445ee9c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 15:22:03 +0200

    Do not use excess precision when converting floating point numbers to strings.

 gtatool/src/base/str.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78fc758529f4e160edf5b50251e8dac7de9d7681
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-20 15:44:40 +0200

    gta compress: add -m as a shortcut for --method

 gtatool/src/cmds/compress.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d1347c9614829b1a5aab1cb3c8a378ffcc596113
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-17 11:24:38 +0200

    Improve configure output.
    
    List all missing packages at once. Give the user a hint about which packages to
    install, at least for Debian-based systems.

 gtatool/configure.ac |   72 +++++++++++++++++++++++++-------------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

commit 9b1d26d84f3072264a46d4f069210647b0967a12
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-15 15:47:14 +0200

    Replace header.data_is_chunked() calls with header.compression() != gta::none tests.

 gtatool/src/cmds/dimension-reorder.cpp |    2 +-
 gtatool/src/cmds/dimension-reverse.cpp |    2 +-
 gtatool/src/cmds/set.cpp               |    2 +-
 gtatool/src/cmds/to-gdal.cpp           |    2 +-
 gtatool/src/cmds/to-netpbm.cpp         |    2 +-
 gtatool/src/cmds/to-raw.cpp            |    2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit c862d02cad69a3e5e0cc4e7bb6ede3d33d3564ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-15 14:58:26 +0200

    Convert GDAL type CInt32 to cfloat64, not cfloat32.

 gtatool/src/cmds/from-gdal.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 69413df9b632d164cc38066dedf9d909f25e32f6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-15 14:55:49 +0200

    Do not use GDAL/COLOR_INTERPRETATION tags; only use INTERPRETATION.

 gtatool/src/cmds/from-gdal.cpp |    2 -
 gtatool/src/cmds/to-gdal.cpp   |  168 ++++------------------------------------
 2 files changed, 17 insertions(+), 153 deletions(-)

commit 3572dd8e93261871db5a4fa112d071bf64bf0510
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-07-04 16:45:02 +0200

    Improve GDAL detection.
    
    With the latest fix in m4/lib-link.m4, it is now possible to add libgdal1.7.0
    to the GDAL detection code. Additionally, all GDAL library names now use only
    one --with-gdal-prefix option.

 gtatool/configure.ac |   14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 1094bcdeabec97a48111d36ba9e5737e73239004
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-07-04 16:42:29 +0200

    Gnulib update to 2010-07-04.

 gtatool/m4/lib-link.m4 |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3aa475bb96fe0d69ae41d39da87e3d7ada49beaa
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-26 13:12:29 +0200

    Update.

 gtatool/NEWS |    4 ++++
 1 file changed, 4 insertions(+)

commit af2c09549b507a90f8c763215f24c34d7a887962
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-26 13:12:04 +0200

    Remove obsolete TODO file.

 gtatool/TODO |   16 ----------------
 1 file changed, 16 deletions(-)

commit 7d734e14dfbe4e958ff2f54d661cfd63f09fb037
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-26 13:10:06 +0200

    Bump version to 0.9.2.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ef7de044b2346a7e8e647a98d9f8125bdb34cc8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-25 16:27:09 +0200

    Use consistent package names in configure options.

 gtatool/configure.ac |   14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 0d313a3e2c4324cef871416c47aea82809c0090f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 16:00:54 +0200

    Use new libgta functionality, and require a sufficiently recent version.
    
    The new functions to convert between a linear index and array indices are now
    in libgta. Use them instead of our own. Require a sufficient libgta version.

 gtatool/configure.ac                   |    4 ++--
 gtatool/src/cmds/component-compute.cpp |    2 +-
 gtatool/src/cmds/dimension-extract.cpp |    2 +-
 gtatool/src/cmds/dimension-reorder.cpp |    2 +-
 gtatool/src/cmds/dimension-reverse.cpp |    2 +-
 gtatool/src/cmds/dimension-split.cpp   |    2 +-
 gtatool/src/cmds/extract.cpp           |    2 +-
 gtatool/src/cmds/fill.cpp              |    2 +-
 gtatool/src/cmds/from-mat.cpp          |    4 ++--
 gtatool/src/cmds/from-rat.cpp          |    4 ++--
 gtatool/src/cmds/merge.cpp             |    2 +-
 gtatool/src/cmds/resize.cpp            |    4 ++--
 gtatool/src/cmds/set.cpp               |    2 +-
 gtatool/src/cmds/to-mat.cpp            |    4 ++--
 gtatool/src/cmds/to-rat.cpp            |    4 ++--
 gtatool/src/lib.cpp                    |   27 ---------------------------
 gtatool/src/lib.h                      |    4 ----
 17 files changed, 21 insertions(+), 52 deletions(-)

commit 83713f2d72ea1bbac63a2934fa2cd2dd0bf4384e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 11:53:01 +0200

    Improve configuration output.

 gtatool/configure.ac |   27 +++++++++++----------------
 1 file changed, 11 insertions(+), 16 deletions(-)

commit 3de03c1f7af41e7555a5a6a715ccbf4a3fd583e1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-23 09:57:45 +0200

    from-rat, to-rat: fix RadarTools import/export.
    
    This time, I actually did some tests with RAT 0.21...

 gtatool/src/cmds/from-rat.cpp |   19 +++++++++++--------
 gtatool/src/cmds/to-rat.cpp   |   23 +++++++++++++++--------
 2 files changed, 26 insertions(+), 16 deletions(-)

commit 56527dfd0aa31770ccbf402a79a8c5be695152a2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-21 15:46:44 +0200

    gui: add RAT import/export, and fix multiple imports.

 gtatool/src/cmds/gui.cpp |   31 ++++++++++++++++++++++++-------
 gtatool/src/cmds/gui.h   |    2 ++
 2 files changed, 26 insertions(+), 7 deletions(-)

commit c2474d5cb05c06f257a62811dcfba041e1f50f37
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-21 15:46:08 +0200

    from-rat, to-rat: new commands to import/export RAT RadarTools files.

 gtatool/src/cmds.cpp          |    4 +
 gtatool/src/cmds/Makefile.am  |    4 +-
 gtatool/src/cmds/from-rat.cpp |  501 +++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/to-rat.cpp   |  232 +++++++++++++++++++
 4 files changed, 740 insertions(+), 1 deletion(-)

commit 316cf5d01e1f4f574bc7a043caec89c36a19120c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-18 11:10:51 +0200

    from-mat: check input dimensions for validity

 gtatool/src/cmds/from-mat.cpp |    4 ++++
 1 file changed, 4 insertions(+)

commit a0690d1e2244774bde586a791ef75cdad0764643
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-16 06:17:29 +0200

    Remove pthread from list of dcmtk prerequisites for MinGW.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e78df898f546d1588daa11af6bf43e6d1d69e322
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-15 22:11:02 +0200

    Fix detection of dcmtk and matio on Mingw.

 gtatool/configure.ac |   27 ++++++++++++++++++++++-----
 1 file changed, 22 insertions(+), 5 deletions(-)

commit f5d79f0fdf7b2918dda3f02cf37e75661186de83
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-15 22:10:35 +0200

    Add missing declaration of the to_mat command.

 gtatool/src/cmds.cpp |    1 +
 1 file changed, 1 insertion(+)

commit e04719831c2078deaeef3dc75450d9eb9596f2f0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-15 09:52:44 +0200

    gui: fix check for alread opened file.

 gtatool/src/cmds/gui.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b85a3a40845d02bc9330ea0d9b35b6c5601dfcfb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-15 07:20:51 +0200

    from-mat, to-mat: fix data ordering.
    
    Matlab interpretes dimensions and indices in the opposite order of GTA, so we
    have to transform the data to get its orientation right.

 gtatool/src/cmds/from-mat.cpp |   46 ++++++++++++++++-----
 gtatool/src/cmds/to-mat.cpp   |   92 ++++++++++++++++++++++++++---------------
 2 files changed, 94 insertions(+), 44 deletions(-)

commit c8e98dfc3141e7705c0717963287b6144ff54ea6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 22:11:29 +0200

    from-mat: fix typo in warning message.

 gtatool/src/cmds/from-mat.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12bb58708771109806ceeb675fc3f1cfb68628af
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 22:05:39 +0200

    from-mat, to-mat: fix order of dimensions.

 gtatool/src/cmds/from-mat.cpp |    2 +-
 gtatool/src/cmds/to-mat.cpp   |    5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 77e50f506cecabd8b8bd59617885df355913bc66
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:48:34 +0200

    gui: do not show command arguments.
    
    Do not show command arguments in the progress and error dialogs because they
    might take too much space.

 gtatool/src/cmds/gui.cpp |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 2099815e9212aee004102b97d460ed87179b6f15
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:48:14 +0200

    to-mat: fix compile error.

 gtatool/src/cmds/to-mat.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c8f10095c1482a1ca50f51fa225102a63b2f5932
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:43:47 +0200

    to-mat: do not use spaces in the default name for variables.

 gtatool/src/cmds/to-mat.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9ab1c9f29cd6bce0842d910e68bc57aab60151a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:33:57 +0200

    to-mat: do not append to existing output files; overwrite them.

 gtatool/src/cmds/to-mat.cpp |    4 ++++
 1 file changed, 4 insertions(+)

commit 3867d7f31ec4d0159458a389c1669a77f1d5cabf
Merge: 2084329 8bf4876
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 21:31:08 +0200

    Merge branch 'master' of git.sv.gnu.org:/srv/git/gta

commit 8bf4876396d2b48de97f09f14eeafe7bad8dc072
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 17:56:40 +0200

    to-mat: new command to export to MATLAB files.

 gtatool/configure.ac         |    1 +
 gtatool/src/cmds.cpp         |    1 +
 gtatool/src/cmds/Makefile.am |    5 +-
 gtatool/src/cmds/gui.cpp     |   12 ++
 gtatool/src/cmds/gui.h       |    1 +
 gtatool/src/cmds/to-mat.cpp  |  250 ++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 269 insertions(+), 1 deletion(-)

commit 7225812b2843097ab8858c0db11f05d1f85a424a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 15:11:23 +0200

    gui: improve description of import/export menu entries.

 gtatool/src/cmds/gui.cpp |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 2c0d52bfaeeb865ce2742cfd773de962eca6d90d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-14 15:06:59 +0200

    from-mat: New command to import MATLAB files.

 gtatool/configure.ac          |   15 +++
 gtatool/src/cmds.cpp          |    2 +
 gtatool/src/cmds/Makefile.am  |   11 +++
 gtatool/src/cmds/from-mat.cpp |  219 +++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/gui.cpp      |   12 +++
 gtatool/src/cmds/gui.h        |    1 +
 6 files changed, 260 insertions(+)

commit 2084329dbcdee8a22d072da400c83b4f37fe4814
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 19:00:48 +0200

    Fix copy/paste typos in comments.

 gtatool/src/base/intcheck.h |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 988e309116b363eb1c6c1556512659809a64136d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 16:43:33 +0200

    gui: change shortcut for "Close" from Ctrl+C to Ctrl+W.

 gtatool/src/cmds/gui.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d0c92befc364ea2dc0f0e623aa26a8961312fe0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:51:11 +0200

    Bump version to 0.9.1.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f4a3df98034b39b217a831d1c7a76feb862da0a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:50:52 +0200

    Rename W32 package to include the 'w32' marker.

 gtatool/Makefile.am           |    4 ++--
 gtatool/build-aux/gtatool.nsi |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 3c11c9a69564892193508bc50ba74218b862a803
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:50:28 +0200

    gui: fix check for an already opened file.

 gtatool/src/cmds/gui.cpp |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit a8dee4b86f0dfb965e0f0d70abf10d08acb3429f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:35:39 +0200

    gui: improve error message dialog for commands that failed.

 gtatool/src/cmds/gui.cpp |   17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit ab99c86d1cf0e4a62a05c5839c909ea63a13e79d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-13 13:04:02 +0200

    Use lowercase error message for consistency.

 gtatool/src/lib.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 050495c6df3e56ab322d9d07cabb9e8e4f520976
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 20:51:49 +0200

    gui: various bug fixes and improvements.
    
    Temporary files are properly removed now. Changed files are automatically saved
    to a temporary file if necessary; the user does not need to explicitly save a
    file before applying an operation to it.

 gtatool/src/cmds/gui.cpp |  188 ++++++++++++++++++++++++++++++----------------
 gtatool/src/cmds/gui.h   |    4 +-
 2 files changed, 125 insertions(+), 67 deletions(-)

commit 666d55058db47e61a54cde490a890211a888a166
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 20:51:07 +0200

    Base module: add cio::test_e().

 gtatool/src/base/cio.cpp |   14 ++++++++++----
 gtatool/src/base/cio.h   |    2 ++
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 0918043f2390516e28c6639a564942c56536dde3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 16:24:55 +0200

    gui: improve.
    
    Newly created files do not need to be saved via a "File Save" Dialog anymore.
    Instead, they are opened as unnamed files.

 gtatool/src/cmds/gui.cpp |  401 +++++++++++++++-------------------------------
 gtatool/src/cmds/gui.h   |   44 +++--
 2 files changed, 154 insertions(+), 291 deletions(-)

commit 56301dd35a399ac5d1b791188ba978d7976e004b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 12:11:30 +0200

    Do not include OpenEXR headers unnecessarily.

 gtatool/src/cmds/from-exr.cpp |    4 ----
 gtatool/src/cmds/to-exr.cpp   |    4 ----
 2 files changed, 8 deletions(-)

commit bc9857e1b290cac44d1974efebf3b209364f6e28
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-12 11:31:55 +0200

    Fix detection of libMagick++.

 gtatool/configure.ac         |    2 +-
 gtatool/src/cmds/Makefile.am |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d4c028c1033b36a8ce656790c9c9545fff6b73cc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-10 20:58:05 +0200

    Update gnulib. Local changes are not required anymore.

 gtatool/m4/absolute-header.m4 |   62 ++++++++++++++++++++++++-----------------
 gtatool/m4/gnulib-common.m4   |    8 +++++-
 gtatool/m4/lib-link.m4        |   34 +++++++++++-----------
 3 files changed, 61 insertions(+), 43 deletions(-)

commit 4a946ffd8f9ddb7f47740879b996259aff448c81
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-08 08:26:19 +0200

    gui: add frontends for component commands.
    
    Add frontends for the commands component-add, component-compute,
    component-convert, component-extract, component-merge, component-reorder,
    component-set, component-split.

 gtatool/src/cmds/gui.cpp |  335 +++++++++++++++++++++++++++++++++++++++++++++-
 gtatool/src/cmds/gui.h   |    8 ++
 2 files changed, 342 insertions(+), 1 deletion(-)

commit 04ad779658724732eec82bdd2b0ee530318dca86
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 18:23:04 +0200

    component-merge: fix.

 gtatool/src/cmds/component-merge.cpp |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 35ec011b500dd860099c504746a12d7f3b9e3753
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 18:22:50 +0200

    component-split: fix typo in help message.

 gtatool/src/cmds/component-split.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1fa40e0f85ad7f7c1b6026109e6691af0c68f90
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 07:11:09 +0200

    Add copyright note.

 gtatool/build-aux/gtatool.nsi |    4 ++++
 1 file changed, 4 insertions(+)

commit c650569427137fe7216a6b8912a8837f9a716db6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 06:48:08 +0200

    Improve W32 installer.

 gtatool/Makefile.am           |    9 ++-
 gtatool/build-aux/gta.nsi     |  132 ---------------------------------------
 gtatool/build-aux/gtatool.nsi |  136 +++++++++++++++++++++++++++++++++++++++++
 gtatool/configure.ac          |    3 +
 4 files changed, 145 insertions(+), 135 deletions(-)

commit e6d2d1edb1b66d72d09fc525f82d5d85b9f2252b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 22:22:31 +0200

    Add initial support to build a W32 installer with NSIS.

 gtatool/Makefile.am             |   13 ++
 gtatool/build-aux/AddToPath.nsh |  453 +++++++++++++++++++++++++++++++++++++++
 gtatool/build-aux/gta.nsi       |  132 ++++++++++++
 gtatool/configure.ac            |    4 +
 4 files changed, 602 insertions(+)

commit ff9a699875f343fab52aa7af6ea1550c6def9944
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 20:57:34 +0200

    Fix program_name for W32.

 gtatool/src/main.cpp |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit bd63f6407f4dc00001b1740ea69e895bd7df8d43
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 20:29:43 +0200

    gui: improve about box.

 gtatool/src/cmds/gui.cpp |   10 ++++++----
 gtatool/src/lib.cpp      |    2 +-
 gtatool/src/lib.h        |    2 ++
 gtatool/src/main.cpp     |    7 +++++--
 4 files changed, 14 insertions(+), 7 deletions(-)

commit d61970a68afe68f4b9109c9fd906d366f25fe4df
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 17:29:32 +0200

    gui: add frontend to the dimension commands.
    
    Add Dimensions menu with frontends for the dimension-add, dimension-extract,
    dimension-merge, dimension-reorder, dimension-reverse, and dimension-split
    commands.

 gtatool/src/cmds/gui.cpp |  245 +++++++++++++++++++++++++++++++++++++++++++++-
 gtatool/src/cmds/gui.h   |    6 ++
 2 files changed, 247 insertions(+), 4 deletions(-)

commit eeaac1942f89849ed66683b350924bc25d070cad
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 17:09:34 +0200

    dimension-add: reverse last commit.

 gtatool/src/cmds/dimension-add.cpp |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 765deacdf3e9f096e1ce2c8d4d57ee528660ea64
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 16:56:32 +0200

    dimension-add: use -i instead of -d for dimension index.

 gtatool/src/cmds/dimension-add.cpp |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 89e4ec9fdea36f5eafd340e28b7a557cc80b73e2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 11:36:18 +0200

    gui: Fix 'Save as', and fix Qt character set conversion.

 gtatool/src/cmds/gui.cpp |   14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit a8a49cb289439d0f9c2f6da719703c1a81598eed
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 10:44:09 +0200

    gui: tiny cleanups.

 gtatool/src/cmds/gui.cpp |   10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 6b11637830399d69a52f13fa9ccebc997cb4c171
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 19:06:47 +0200

    gui: add array commands create, extract, fill, merge, resize, set.

 gtatool/src/cmds/gui.cpp |  345 ++++++++++++++++++++++++++++++++++++++++------
 gtatool/src/cmds/gui.h   |    7 +
 2 files changed, 313 insertions(+), 39 deletions(-)

commit 7a62438fa857a064329260b41c1f773c1383c4bb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 18:47:52 +0200

    Fix array compatibility checks.

 gtatool/src/cmds/merge.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1306bc6e538502e49395cc9a8503805f4f910abd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 13:47:35 +0200

    info: print compression information.

 gtatool/src/cmds/info.cpp |   22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit d05831dc092483c773da66b6e96634ee77d08db4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 13:40:15 +0200

    GUI: Display compression method, and make it changeable.

 gtatool/src/cmds/gui.cpp |   36 ++++++++++++++++++++++++++++++++++--
 gtatool/src/cmds/gui.h   |    3 +++
 2 files changed, 37 insertions(+), 2 deletions(-)

commit 126f89bc59ebbda669e78a958378a8fc58c14565
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 13:12:04 +0200

    Improve tag add/remove buttons.

 gtatool/src/cmds/gui.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0ad5ed123f33b3fc8c805c3d8acf0bef22f5361a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 12:24:18 +0200

    Properly reset getopt_long to allow multiple evaluations.
    
    On GNU/Linux, set optind to 1. On other systems, additionally set optreset to 1
    if it is available. On W32, we need to persuade getopt.h to declare it first.

 gtatool/configure.ac     |    5 +++++
 gtatool/src/base/opt.cpp |    8 ++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 9aee7e6e40cc46b842becff9067c8d3227057a48
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 12:23:46 +0200

    Properly convert filenames to system conventions.
    
    This only affects W32.

 gtatool/src/cmds/gui.cpp |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a5704b36c5d0cf536a37361fa3b23580b5874fb8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 11:03:00 +0200

    Avoid assignments to stdin and stdout.
    
    In the GUI, we need to override stdin and stdout when calling commands.
    Assigning new values to these streams is not portable because they need
    not be lvalues. Therefore, we use our own replacements, gtatool_stdin and
    gtatool_stdout.

 gtatool/src/cmds/component-add.cpp     |   10 +++++-----
 gtatool/src/cmds/component-compute.cpp |   10 +++++-----
 gtatool/src/cmds/component-convert.cpp |   10 +++++-----
 gtatool/src/cmds/component-extract.cpp |   12 +++++++-----
 gtatool/src/cmds/component-merge.cpp   |    6 +++---
 gtatool/src/cmds/component-reorder.cpp |   10 +++++-----
 gtatool/src/cmds/component-set.cpp     |   10 +++++-----
 gtatool/src/cmds/component-split.cpp   |   12 +++++++-----
 gtatool/src/cmds/compress.cpp          |   12 +++++++-----
 gtatool/src/cmds/create.cpp            |    4 ++--
 gtatool/src/cmds/dimension-add.cpp     |   10 +++++-----
 gtatool/src/cmds/dimension-extract.cpp |   10 +++++-----
 gtatool/src/cmds/dimension-merge.cpp   |    6 +++---
 gtatool/src/cmds/dimension-reorder.cpp |   10 +++++-----
 gtatool/src/cmds/dimension-reverse.cpp |   10 +++++-----
 gtatool/src/cmds/dimension-split.cpp   |   10 +++++-----
 gtatool/src/cmds/extract.cpp           |   10 +++++-----
 gtatool/src/cmds/fill.cpp              |   10 +++++-----
 gtatool/src/cmds/from-dcmtk.cpp        |    6 ++++--
 gtatool/src/cmds/from-exr.cpp          |    6 ++++--
 gtatool/src/cmds/from-gdal.cpp         |    6 ++++--
 gtatool/src/cmds/from-magick.cpp       |    6 ++++--
 gtatool/src/cmds/from-netpbm.cpp       |    6 ++++--
 gtatool/src/cmds/from-pfs.cpp          |    6 ++++--
 gtatool/src/cmds/from-raw.cpp          |    4 ++--
 gtatool/src/cmds/gui.cpp               |   12 ++++++------
 gtatool/src/cmds/info.cpp              |    4 ++--
 gtatool/src/cmds/merge.cpp             |    6 +++---
 gtatool/src/cmds/resize.cpp            |   10 +++++-----
 gtatool/src/cmds/set.cpp               |   10 +++++-----
 gtatool/src/cmds/stream-extract.cpp    |   12 +++++++-----
 gtatool/src/cmds/stream-merge.cpp      |   12 +++++++-----
 gtatool/src/cmds/stream-split.cpp      |    6 ++++--
 gtatool/src/cmds/tag.cpp               |   11 ++++++-----
 gtatool/src/cmds/to-exr.cpp            |    4 +++-
 gtatool/src/cmds/to-gdal.cpp           |    6 ++++--
 gtatool/src/cmds/to-magick.cpp         |    6 ++++--
 gtatool/src/cmds/to-netpbm.cpp         |    6 ++++--
 gtatool/src/cmds/to-pfs.cpp            |    6 ++++--
 gtatool/src/cmds/to-raw.cpp            |    4 ++--
 gtatool/src/cmds/uncompress.cpp        |   12 +++++++-----
 gtatool/src/lib.cpp                    |    5 +++++
 gtatool/src/lib.h                      |   10 ++++++++++
 gtatool/src/main.cpp                   |    4 ++++
 44 files changed, 207 insertions(+), 151 deletions(-)

commit 56d8ea0e387ea7305322bc44bede2fb28bd7d5dd
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 09:25:36 +0200

    Improve error message about unavailable commands.

 gtatool/src/main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 063a0e422295988763eeb36eaed57109e7f35a25
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 01:31:43 +0200

    Avoid non-portable printf conversion specifier.

 gtatool/src/cmds/to-pfs.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 987dc4812ff7436e728bcc86c3a3e6ea79250b2e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 00:31:28 +0200

    Fix program_name on W32.

 gtatool/src/main.cpp |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4aaa414479035915a8d5b399cc016610dc77123a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 00:07:31 +0200

    Moved from the MagickWand API to Magick++.
    
    Move to the Magick++ interface to simplify the code, fix segfaults, and support
    import and export of multi-image files.

 gtatool/configure.ac             |   19 +-
 gtatool/src/cmds/Makefile.am     |    6 +-
 gtatool/src/cmds/from-magick.cpp |  311 ++++++++----------------------
 gtatool/src/cmds/to-magick.cpp   |  393 +++++++++++---------------------------
 4 files changed, 211 insertions(+), 518 deletions(-)

commit 83e6a08a8b53152cb655c3572e99482114a4757d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 00:06:07 +0200

    Support '+' characters in library names.
    
    This fix was sent upstream:
    http://lists.gnu.org/archive/html/bug-gnulib/2010-06/msg00042.html

 gtatool/m4/lib-link.m4 |   30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit a9246e570a387123870f434381d5a8c16fe6d400
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-30 01:32:18 +0200

    Add missing header.

 gtatool/src/base/str.h |    1 +
 1 file changed, 1 insertion(+)

commit ef49bbfb099c810e572cbff6e58d42a82e92edcb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-26 22:01:26 +0200

    GUI improvements. Add stream commands.

 gtatool/src/cmds/gui.cpp |  162 ++++++++++++++++++++++++++++++++++++++++++----
 gtatool/src/cmds/gui.h   |   13 +++-
 2 files changed, 160 insertions(+), 15 deletions(-)

commit a977965488dc666c4e1f8655cd3077148c0213ac
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-24 12:49:14 +0200

    Minor GUI improvements.

 gtatool/src/cmds/gui.cpp |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 2cec6c3402687105c90e563d2de879edef5a086a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-24 12:37:16 +0200

    GUI improvements. Add import/export of raw data.

 gtatool/src/cmds/gui.cpp |  123 +++++++++++++++++++++++++++++++++++++++-------
 gtatool/src/cmds/gui.h   |    4 +-
 2 files changed, 106 insertions(+), 21 deletions(-)

commit d06278e19b28bdc514c5b0c266d9166020b17566
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-24 09:58:04 +0200

    Fix error message for unexpected EOF in cio::read().

 gtatool/src/base/cio.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b85d5c6f94d3f6c42217fca9a6578fc401317e3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-21 09:11:32 +0200

    Use a default endianness 'little' instead of 'host', so that the same
    command produce the same results on big and little endian machines.

 gtatool/src/cmds/from-raw.cpp |   21 +++++++--------------
 gtatool/src/cmds/to-raw.cpp   |   18 ++++++------------
 2 files changed, 13 insertions(+), 26 deletions(-)

commit db7c96544e1509bb935255106ce9814d0911007e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-19 10:27:16 +0200

    GUI: Provide default suffix whenever saving a file.

 gtatool/src/cmds/gui.cpp |   32 +++++++++++++-------------------
 gtatool/src/cmds/gui.h   |    5 +++--
 2 files changed, 16 insertions(+), 21 deletions(-)

commit 5e037a161436739eddf5712d99af7fc86cd71a0f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-18 22:49:05 +0200

    Improve import and export by running gta commands in separate threads so that the GUI is not blocked.

 gtatool/src/cmds/gui.cpp |   93 +++++++++++++++++++++++++++++++++-------------
 1 file changed, 68 insertions(+), 25 deletions(-)

commit 1a1e421c07a0e0e6e8c0e67c1145b11a5e9c487d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 18:14:28 +0200

    Remove unused variable.

 gtatool/src/cmds/gui.cpp |    1 -
 1 file changed, 1 deletion(-)

commit 37ef8c98618940c2709e76906c13c47aa459cc9f
Author: Martin Lambers <lambers@fb12.uni-siegen.de>
Date:   2010-05-17 17:55:27 +0200

    gui: add support for most export functions.

 gtatool/src/cmds/gui.cpp |  185 ++++++++++++++++++++++++++++++++++++----------
 gtatool/src/cmds/gui.h   |   22 +++---
 2 files changed, 158 insertions(+), 49 deletions(-)

commit b7ff7c3641f90a7062068a054f88ba99455af7a3
Author: Martin Lambers <lambers@fb12.uni-siegen.de>
Date:   2010-05-17 17:54:33 +0200

    Add a cio::flush() function.

 gtatool/src/base/cio.cpp |    8 ++++++++
 gtatool/src/base/cio.h   |    3 +++
 2 files changed, 11 insertions(+)

commit 1f4be94324c1aeb19d3316c8c61583137cd3d39e
Author: Martin Lambers <lambers@fb12.uni-siegen.de>
Date:   2010-05-17 17:13:48 +0200

    Consistently use msg::*_txt function to avoid overly long messages.

 gtatool/src/cmds/component-add.cpp     |    4 ++--
 gtatool/src/cmds/component-compute.cpp |    6 +++---
 gtatool/src/cmds/component-convert.cpp |    4 ++--
 gtatool/src/cmds/component-extract.cpp |    6 +++---
 gtatool/src/cmds/component-merge.cpp   |    6 +++---
 gtatool/src/cmds/component-reorder.cpp |    8 ++++----
 gtatool/src/cmds/component-set.cpp     |    4 ++--
 gtatool/src/cmds/component-split.cpp   |    4 ++--
 gtatool/src/cmds/compress.cpp          |    4 ++--
 gtatool/src/cmds/create.cpp            |    4 ++--
 gtatool/src/cmds/dimension-add.cpp     |    4 ++--
 gtatool/src/cmds/dimension-extract.cpp |    4 ++--
 gtatool/src/cmds/dimension-merge.cpp   |    6 +++---
 gtatool/src/cmds/dimension-reorder.cpp |    8 ++++----
 gtatool/src/cmds/dimension-reverse.cpp |    6 +++---
 gtatool/src/cmds/dimension-split.cpp   |    4 ++--
 gtatool/src/cmds/extract.cpp           |    8 ++++----
 gtatool/src/cmds/fill.cpp              |   10 +++++-----
 gtatool/src/cmds/from-dcmtk.cpp        |    6 +++---
 gtatool/src/cmds/from-exr.cpp          |    6 +++---
 gtatool/src/cmds/from-gdal.cpp         |    8 ++++----
 gtatool/src/cmds/from-magick.cpp       |    8 ++++----
 gtatool/src/cmds/from-netpbm.cpp       |    4 ++--
 gtatool/src/cmds/from-pfs.cpp          |    6 +++---
 gtatool/src/cmds/from-raw.cpp          |    6 +++---
 gtatool/src/cmds/info.cpp              |    2 +-
 gtatool/src/cmds/merge.cpp             |    6 +++---
 gtatool/src/cmds/resize.cpp            |    6 +++---
 gtatool/src/cmds/set.cpp               |    4 ++--
 gtatool/src/cmds/stream-extract.cpp    |    8 ++++----
 gtatool/src/cmds/stream-merge.cpp      |    4 ++--
 gtatool/src/cmds/stream-split.cpp      |    2 +-
 gtatool/src/cmds/tag.cpp               |    4 ++--
 gtatool/src/cmds/to-exr.cpp            |    8 ++++----
 gtatool/src/cmds/to-gdal.cpp           |   20 ++++++++++----------
 gtatool/src/cmds/to-magick.cpp         |   16 ++++++++--------
 gtatool/src/cmds/to-netpbm.cpp         |    4 ++--
 gtatool/src/cmds/to-pfs.cpp            |    6 +++---
 gtatool/src/cmds/to-raw.cpp            |    4 ++--
 gtatool/src/cmds/uncompress.cpp        |    4 ++--
 40 files changed, 121 insertions(+), 121 deletions(-)

commit e0b03945cb05380ae3f5c58f8d2a813737f73fa8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 11:52:14 +0200

    gui: add support for most import commands.

 gtatool/src/cmds/gui.cpp |  348 ++++++++++++++++++++++++++++++++++++++--------
 gtatool/src/cmds/gui.h   |   13 ++
 2 files changed, 306 insertions(+), 55 deletions(-)

commit 7b33ae64045dd6011fd0ac21dd6906433185b2c8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 11:33:12 +0200

    Invalidate dynamic command information when closing a dynamic module.

 gtatool/src/cmds.cpp |    3 +++
 1 file changed, 3 insertions(+)

commit 5df7962235ea8871290bdf27f8f748775bc84c47
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 11:08:19 +0200

    Format ImageMagick errors so that they do not take to many columns.

 gtatool/src/cmds/from-magick.cpp |    4 ++--
 gtatool/src/cmds/to-magick.cpp   |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit ad0dea80b392715c7eb8dd674e79ffa015b02d73
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 06:51:07 +0200

    gui: do not try to run file->* actions when there is no open file.

 gtatool/src/cmds/gui.cpp |   16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 94c168372da0df7d522cbed100ca173137e3f0b0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-17 06:48:14 +0200

    gui: fix file open mode in file_save()

 gtatool/src/cmds/gui.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 933344c0b5631713b81f218380b70b61b4fe4111
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 22:44:44 +0200

    W32 GUI: only destroy console when the user is not watching it.

 gtatool/src/cmds/gui.cpp |   10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit cf00d0fe07a253f783dce972004a79694e8d6b28
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 21:18:15 +0200

    Use a better way to force linking of Qt resources.

 gtatool/src/Makefile.am  |   12 ++----------
 gtatool/src/cmds/gui.cpp |    4 ++++
 2 files changed, 6 insertions(+), 10 deletions(-)

commit 75d44b089906edd6ad86e7a97ef37caed393d9dc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 20:47:55 +0200

    W32: provide appicon, and force linking of GUI resources.

 gtatool/configure.ac    |    6 ++++++
 gtatool/src/Makefile.am |   17 +++++++++++++++--
 gtatool/src/appicon.ico |  Bin 0 -> 1078 bytes
 3 files changed, 21 insertions(+), 2 deletions(-)

commit 18b1388a854627f738f4f31524c92e7d0f3f5768
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 20:06:16 +0200

    GUI: Close W32 console if not used.

 gtatool/src/cmds/gui.cpp |    7 +++++++
 1 file changed, 7 insertions(+)

commit 044f959759140df84309a7ef6013acdbd7e1ba0b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 19:53:01 +0200

    GUI: improve file->open, fix file->save.

 gtatool/src/cmds/gui.cpp |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit ae94f79cf39361b990e7a180d4e8901623778c1d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 19:25:20 +0200

    Fix configure output for the gui command.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0c82fb3a8e7287fdc1bd94ba88ab3172bb99593
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 18:24:46 +0200

    GUI improvements. The GUI is now usable as a tag editor.

 gtatool/src/cmds/gui.cpp |  515 +++++++++++++++++++++++++++++++++++++++++++---
 gtatool/src/cmds/gui.h   |   79 ++++++-
 2 files changed, 558 insertions(+), 36 deletions(-)

commit 1dcd94b93e7b9b98a22e06a54e69f6c3a0394f83
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 21:37:59 +0200

    Add the humble beginnings of a gui command.

 gtatool/configure.ac         |   53 +++++++
 gtatool/src/cmds.cpp         |    2 +
 gtatool/src/cmds/Makefile.am |   31 ++++
 gtatool/src/cmds/gui.cpp     |  324 ++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds/gui.h       |  147 +++++++++++++++++++
 gtatool/src/cmds/gui.png     |  Bin 0 -> 2776 bytes
 gtatool/src/cmds/gui.qrc     |    5 +
 7 files changed, 562 insertions(+)

commit 831d8586a9a745b1650e300f462cafccff4e9e3c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 21:36:53 +0200

    Add a cio::basename() function.

 gtatool/src/base/cio.cpp |   15 +++++++++++++++
 gtatool/src/base/cio.h   |    8 +++++---
 2 files changed, 20 insertions(+), 3 deletions(-)

commit cb51c9b8ec052f0e68cedee776291fa142162cc7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 19:35:51 +0200

    Use 64 bit file offsets on W32.

 gtatool/src/base/cio.h |    3 +++
 1 file changed, 3 insertions(+)

commit 6ac96f631ca0cf295fd6b8d1f4fe69a5d4314b05
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 18:08:24 +0200

    Avoid compiler warnings in checked_cast<>().

 gtatool/src/base/intcheck.h |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5437b826b2128decdac26b31a00c9806971674f3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 13:17:24 +0200

    Fix dimension-merge command, and improve its error messages.

 gtatool/src/cmds/dimension-merge.cpp |   14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 708e152e3249bc39acca2f08378d147fda66a6aa
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 17:51:19 +0200

    Update TODO list.

 gtatool/TODO |    3 ---
 1 file changed, 3 deletions(-)

commit 467af6804257b5d632bbf466da54eea57d78a267
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 17:50:51 +0200

    Add the stream-extract command.

 gtatool/src/cmds.cpp                |    2 +
 gtatool/src/cmds/Makefile.am        |    1 +
 gtatool/src/cmds/stream-extract.cpp |  261 +++++++++++++++++++++++++++++++++++
 3 files changed, 264 insertions(+)

commit 891efea30a720854f333d82a0e9684268990961b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 17:39:07 +0200

    Fix error reporting for str::to().

 gtatool/src/base/str.cpp |   33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit 628247f51556408231f5cb51776cb0d8d9a5428e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 16:33:25 +0200

    Add str::to() functions to the base module str that convert strings to basic data types. Rename str::str() to str::from() for consistency. Update all callers.

 gtatool/src/base/str.cpp               |   58 ++++++++++++++++++++++++--------
 gtatool/src/base/str.h                 |   45 +++++++++++++++++--------
 gtatool/src/cmds/component-add.cpp     |    4 +--
 gtatool/src/cmds/component-compute.cpp |   12 +++----
 gtatool/src/cmds/component-convert.cpp |    2 +-
 gtatool/src/cmds/component-extract.cpp |    6 ++--
 gtatool/src/cmds/component-merge.cpp   |    4 +--
 gtatool/src/cmds/component-reorder.cpp |   14 ++++----
 gtatool/src/cmds/component-set.cpp     |    4 +--
 gtatool/src/cmds/component-split.cpp   |    4 +--
 gtatool/src/cmds/dimension-add.cpp     |    4 +--
 gtatool/src/cmds/dimension-extract.cpp |    6 ++--
 gtatool/src/cmds/dimension-merge.cpp   |    8 ++---
 gtatool/src/cmds/dimension-reorder.cpp |   14 ++++----
 gtatool/src/cmds/dimension-reverse.cpp |    6 ++--
 gtatool/src/cmds/dimension-split.cpp   |    4 +--
 gtatool/src/cmds/extract.cpp           |    6 ++--
 gtatool/src/cmds/fill.cpp              |    2 +-
 gtatool/src/cmds/from-dcmtk.cpp        |   12 +++----
 gtatool/src/cmds/from-gdal.cpp         |   26 +++++++-------
 gtatool/src/cmds/info.cpp              |   10 +++---
 gtatool/src/cmds/merge.cpp             |   10 +++---
 gtatool/src/cmds/resize.cpp            |    2 +-
 gtatool/src/cmds/set.cpp               |    2 +-
 gtatool/src/cmds/stream-split.cpp      |    2 +-
 gtatool/src/cmds/tag.cpp               |    6 ++--
 gtatool/src/cmds/to-exr.cpp            |    2 +-
 gtatool/src/cmds/to-gdal.cpp           |   10 +++---
 gtatool/src/cmds/to-pfs.cpp            |    2 +-
 gtatool/src/lib.cpp                    |    2 +-
 30 files changed, 168 insertions(+), 121 deletions(-)

commit 11f4cbb71b7610787570c9a7e7d0714c71049bdb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 13:30:54 +0200

    Add the stream-split command.

 gtatool/src/cmds.cpp              |    2 +
 gtatool/src/cmds/Makefile.am      |    1 +
 gtatool/src/cmds/stream-split.cpp |  150 +++++++++++++++++++++++++++++++++++++
 3 files changed, 153 insertions(+)

commit 5c1b1ffec88fcffadfc71a30655d2f32e26ef8d7
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:44:13 +0200

    Add command stream-merge.

 gtatool/src/cmds.cpp              |    2 +
 gtatool/src/cmds/Makefile.am      |    1 +
 gtatool/src/cmds/stream-merge.cpp |  108 +++++++++++++++++++++++++++++++++++++
 gtatool/src/main.cpp              |    4 +-
 4 files changed, 113 insertions(+), 2 deletions(-)

commit b57fa0bfb3305bbfddfee6f5b43afb64ed51b450
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:09:15 +0200

    Require libgta >= 0.9.1.

 gtatool/configure.ac |    9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit d3471ccea54195bebc69fe45e79744c2d4aa6433
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:08:45 +0200

    Allow control over ZLIB compression levels.

 gtatool/src/cmds/compress.cpp |   26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

commit 91cb6abd8d66e6cb0b1f657fd2f06adb3d1aadc1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 10:11:53 +0200

    Minor improvement for README.

 gtatool/README |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f52200242ad1ecc576db4c3da0563f45c8ecff7d
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:55:56 +0200

    Provide a minimal README file.

 gtatool/README |    6 ++++++
 1 file changed, 6 insertions(+)

commit 4290bb4a0645d4bee3d54188fcb269a191a66a81
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:54:21 +0200

    Update NEWS.

 gtatool/NEWS |    2 ++
 1 file changed, 2 insertions(+)

commit 59512ced49d77ea97d84e6f4b46fff223587f56e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:54:13 +0200

    Update TODO list.

 gtatool/TODO |   10 ----------
 1 file changed, 10 deletions(-)

commit 20051b6c9176c523db890b942a4e9ef493f37492
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:52:44 +0200

    Add new command dimension-split.

 gtatool/src/cmds.cpp                 |    2 +
 gtatool/src/cmds/Makefile.am         |    1 +
 gtatool/src/cmds/dimension-split.cpp |  168 ++++++++++++++++++++++++++++++++++
 3 files changed, 171 insertions(+)

commit f1655c00ad5922fe2bc7cc2259400ecaa5ee4b4b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 14:52:10 +0200

    Improve the help text and remove an unused variable.

 gtatool/src/cmds/component-split.cpp |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit faf55727bc36ec0769fec7ce365338861c25a17a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 13:16:45 +0200

    Improve error messages, and properly close input files.

 gtatool/src/cmds/component-add.cpp     |   10 +++++++-
 gtatool/src/cmds/component-compute.cpp |   12 +++++++--
 gtatool/src/cmds/component-convert.cpp |   12 +++++++--
 gtatool/src/cmds/component-extract.cpp |   12 +++++++--
 gtatool/src/cmds/component-merge.cpp   |    8 +++---
 gtatool/src/cmds/component-reorder.cpp |   10 +++++++-
 gtatool/src/cmds/component-set.cpp     |   10 +++++++-
 gtatool/src/cmds/compress.cpp          |    4 +++
 gtatool/src/cmds/dimension-add.cpp     |   10 +++++++-
 gtatool/src/cmds/dimension-extract.cpp |   14 +++++++---
 gtatool/src/cmds/dimension-merge.cpp   |   10 +++++---
 gtatool/src/cmds/dimension-reorder.cpp |   12 +++++++--
 gtatool/src/cmds/dimension-reverse.cpp |   12 +++++++--
 gtatool/src/cmds/extract.cpp           |   14 +++++++---
 gtatool/src/cmds/fill.cpp              |   10 +++++++-
 gtatool/src/cmds/info.cpp              |    4 +++
 gtatool/src/cmds/merge.cpp             |   14 +++++-----
 gtatool/src/cmds/resize.cpp            |   10 +++++++-
 gtatool/src/cmds/set.cpp               |   14 +++++++---
 gtatool/src/cmds/tag.cpp               |   44 +++++++++++++++++---------------
 gtatool/src/cmds/uncompress.cpp        |    4 +++
 21 files changed, 192 insertions(+), 58 deletions(-)

commit cd6c6c78a313d424c38f42a9ec51fac3c278ec52
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-13 13:16:28 +0200

    Add new command component-split.

 gtatool/src/cmds.cpp                 |    2 +
 gtatool/src/cmds/Makefile.am         |    1 +
 gtatool/src/cmds/component-split.cpp |  180 ++++++++++++++++++++++++++++++++++
 3 files changed, 183 insertions(+)

commit 10967a3ef9bd734129cd515109945cedb6917cc3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-11 16:11:48 +0200

    Update TODO list.

 gtatool/TODO |   29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit 747e84f56a18453029df4b71f94b44e0bbdb00d0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-07 11:06:42 +0200

    Make sure that 'make mydist' produces an archive with the right permissions.

 gtatool/Makefile.am |    6 ++++++
 1 file changed, 6 insertions(+)

commit 0112dfb37c8423a1d519c6cb855c37cea9e8e935
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 20:55:16 +0200

    Add missing headers for Windows.

 gtatool/src/main.cpp |    2 ++
 1 file changed, 2 insertions(+)

commit dd632800e774dda66417d1cb5791132f566ca307
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 17:22:08 +0200

    Move the management of commands from main.cpp into cmds.cpp.

 gtatool/src/Makefile.am |    2 +-
 gtatool/src/cmds.cpp    |  254 +++++++++++++++++++++++++++++++++++++++++++++++
 gtatool/src/cmds.h      |   74 ++++++++++++++
 gtatool/src/main.cpp    |  227 +++---------------------------------------
 4 files changed, 343 insertions(+), 214 deletions(-)

commit 1399239476c16338558f5efce146bad567253774
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 16:36:33 +0200

    Fix typos in messages.

 gtatool/src/cmds/to-gdal.cpp |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cd084a5d140c1ee8efcbfdec5f5a265419fed29a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 13:28:15 +0200

    Work around Windows braindeadness.

 gtatool/src/base/str.cpp |    9 +++++++++
 1 file changed, 9 insertions(+)

commit cb951f7e7e71d53fd87960f3e38a5588dc74726e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 12:55:38 +0200

    Fix last commit.

 gtatool/src/cmds/tag.cpp |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit a629e2c058fd104d07c72550fea034305ed2f61b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 12:51:25 +0200

    Properly handle conversion to/from UTF-8 for tag names and values.

 gtatool/configure.ac      |    8 +++++
 gtatool/src/Makefile.am   |    2 +-
 gtatool/src/base/str.cpp  |   82 ++++++++++++++++++++++++++++++++++++++++++++-
 gtatool/src/base/str.h    |    6 ++++
 gtatool/src/cmds/info.cpp |    6 ++--
 gtatool/src/cmds/tag.cpp  |   24 ++++++-------
 gtatool/src/lib.cpp       |   35 +++++++++++++++++++
 gtatool/src/lib.h         |    4 +++
 8 files changed, 150 insertions(+), 17 deletions(-)

commit e470d0f32b4068c2a33608e620d42f19e8dc07dc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 22:10:43 +0200

    Add a minimal man page and texinfo manual.

 gtatool/Makefile.am     |    2 +-
 gtatool/configure.ac    |    1 +
 gtatool/doc/Makefile.am |    4 ++++
 gtatool/doc/gta.1       |   19 +++++++++++++++++++
 gtatool/doc/gta.texi    |   31 +++++++++++++++++++++++++++++++
 5 files changed, 56 insertions(+), 1 deletion(-)

commit 59004d723a0505faecf0924e721e09f8f56fbaf5
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 20:44:35 +0200

    Update the TODO list.

 gtatool/TODO |    2 --
 1 file changed, 2 deletions(-)

commit 2cb10f826e9dbd60b33e684c8142184a7a2347b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 16:35:19 +0200

    Fix linking for systems that do not support dynamic modules.

 gtatool/src/main.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 009b88eb5fa779d6e8a487e93e820dbe4aa52f20
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 13:42:33 +0200

    Show all commands in help output, including those that are unavailable due to missing libraries.

 gtatool/src/main.cpp |  194 +++++++++++++++++++++-----------------------------
 1 file changed, 81 insertions(+), 113 deletions(-)

commit be5685a101358fcdd0f4bea6e8875e06cc1df3c3
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-04 13:10:04 +0200

    Consistently use WITH_* defines and automake conditionals for each module.

 gtatool/configure.ac         |   24 +++++++++++++++---------
 gtatool/src/cmds/Makefile.am |   14 +++++++-------
 2 files changed, 22 insertions(+), 16 deletions(-)

commit 4736dacda2dcefcde7e3fd7a8467d16988793bd1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 19:28:58 +0200

    Remove newline from help output.

 gtatool/src/main.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a891ddd2e050d9a551c0ba60d424ce03913ccbce
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 16:09:01 +0200

    Use str::str instead of problematic printf conversion specifiers.

 gtatool/src/cmds/info.cpp    |   40 +++++++++++++++-------------------------
 gtatool/src/cmds/tag.cpp     |   17 ++++++-----------
 gtatool/src/cmds/to-exr.cpp  |    8 ++++----
 gtatool/src/cmds/to-gdal.cpp |   15 +++++----------
 4 files changed, 30 insertions(+), 50 deletions(-)

commit a813311c0fc2ab9329984e363341d42f31424c73
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 16:07:48 +0200

    Fix integer overflow check.

 gtatool/src/base/str.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43daa3d841419f2ac0578aefec1c506fafa693b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 14:46:47 +0200

    Add URL to AC_INIT call.

 gtatool/configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a01d7bd6dfda1f1ac0af5d27b86a80ec23398a6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 11:12:25 +0200

    Explicitly call the base class constructor.

 gtatool/src/base/exc.cpp |    6 ++++++
 1 file changed, 6 insertions(+)

commit 827bb6b982a6b0b17fe54b930b241a3dc117afc6
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-01 23:46:17 +0200

    Improve detection of separate include directories for packages muparser, openexr, gdal.

 gtatool/configure.ac                   |   41 +++++++++++++++-----------------
 gtatool/src/cmds/component-compute.cpp |    6 +----
 2 files changed, 20 insertions(+), 27 deletions(-)

commit 99c0e9eb0bf932cf7197466dcfc4ccea85853091
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-01 23:29:24 +0200

    Do not try to remove module .la files if there are no modules.

 gtatool/src/cmds/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd3a8368aaee95d8bb37a8eaed63cafcf4a039f2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-01 23:28:51 +0200

    Fix compilation on 32bit systems.

 gtatool/src/cmds/component-add.cpp |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 1b35df0b19fa2fc0fd0a3f24074701df941ef2ba
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 22:06:15 +0200

    Remove unused LIB_CLOCK_GETTIME.

 gtatool/src/Makefile.am |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 86ce95fde51eb5bdba406dcba1993f4188dcbaad
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 10:29:18 +0200

    Remove unused modules from src/base, and cleanup the rest.

 gtatool/configure.ac          |    8 -
 gtatool/src/base/Makefile.am  |   21 +-
 gtatool/src/base/atomic.h     |   74 ----
 gtatool/src/base/blob.h       |   39 +-
 gtatool/src/base/endianness.h |  122 ++++++
 gtatool/src/base/opt.cpp      |    1 -
 gtatool/src/base/progress.cpp |  124 -------
 gtatool/src/base/progress.h   |   56 ---
 gtatool/src/base/str.cpp      |   49 ---
 gtatool/src/base/str.h        |    7 -
 gtatool/src/base/timer.cpp    |  288 --------------
 gtatool/src/base/timer.h      |   97 -----
 gtatool/src/base/tools.cpp    |  131 -------
 gtatool/src/base/tools.h      |  823 -----------------------------------------
 gtatool/src/cmds/from-raw.cpp |   20 +-
 gtatool/src/cmds/to-raw.cpp   |   20 +-
 gtatool/src/lib.cpp           |   22 +-
 17 files changed, 176 insertions(+), 1726 deletions(-)

commit 8b7e6564117ad87fd9cc8b0f9d38858062d2cfad
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 09:54:31 +0200

    Cleanup and simplify handling of integer overflows.

 gtatool/src/cmds/component-add.cpp     |   12 ++----------
 gtatool/src/cmds/component-merge.cpp   |    8 --------
 gtatool/src/cmds/dimension-add.cpp     |    8 --------
 gtatool/src/cmds/dimension-extract.cpp |    8 --------
 gtatool/src/cmds/dimension-reorder.cpp |    4 ----
 gtatool/src/cmds/dimension-reverse.cpp |    4 ----
 gtatool/src/cmds/extract.cpp           |    4 ----
 gtatool/src/cmds/merge.cpp             |   14 +-------------
 gtatool/src/lib.cpp                    |   23 ++++-------------------
 9 files changed, 7 insertions(+), 78 deletions(-)

commit ce8ceea05a04822542c9a41fbca2e66c3bb307c2
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 09:00:54 +0200

    Cleanup and extent base/checked_cast.h and rename it to base/intcheck.h.

 gtatool/src/base/Makefile.am           |    2 +-
 gtatool/src/base/checked_cast.h        |  155 -----------------------
 gtatool/src/base/intcheck.h            |  211 ++++++++++++++++++++++++++++++++
 gtatool/src/cmds/component-add.cpp     |    2 +-
 gtatool/src/cmds/component-compute.cpp |    2 +-
 gtatool/src/cmds/component-convert.cpp |    2 +-
 gtatool/src/cmds/component-extract.cpp |    2 +-
 gtatool/src/cmds/component-merge.cpp   |    2 +-
 gtatool/src/cmds/component-reorder.cpp |    2 +-
 gtatool/src/cmds/component-set.cpp     |    2 +-
 gtatool/src/cmds/create.cpp            |    2 +-
 gtatool/src/cmds/dimension-add.cpp     |    2 +-
 gtatool/src/cmds/dimension-extract.cpp |    2 +-
 gtatool/src/cmds/dimension-merge.cpp   |    2 +-
 gtatool/src/cmds/dimension-reorder.cpp |    2 +-
 gtatool/src/cmds/dimension-reverse.cpp |    2 +-
 gtatool/src/cmds/extract.cpp           |    2 +-
 gtatool/src/cmds/fill.cpp              |    2 +-
 gtatool/src/cmds/from-exr.cpp          |    2 +-
 gtatool/src/cmds/from-gdal.cpp         |    2 +-
 gtatool/src/cmds/from-magick.cpp       |    2 +-
 gtatool/src/cmds/from-netpbm.cpp       |    2 +-
 gtatool/src/cmds/from-pfs.cpp          |    2 +-
 gtatool/src/cmds/from-raw.cpp          |    2 +-
 gtatool/src/cmds/merge.cpp             |    2 +-
 gtatool/src/cmds/resize.cpp            |    2 +-
 gtatool/src/cmds/set.cpp               |    2 +-
 gtatool/src/cmds/to-exr.cpp            |    2 +-
 gtatool/src/cmds/to-gdal.cpp           |    2 +-
 gtatool/src/cmds/to-magick.cpp         |    2 +-
 gtatool/src/cmds/to-netpbm.cpp         |    2 +-
 gtatool/src/cmds/to-pfs.cpp            |    2 +-
 gtatool/src/cmds/to-raw.cpp            |    2 +-
 33 files changed, 242 insertions(+), 186 deletions(-)

commit 8080002e55701cdb11be919992df28ec8775b649
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-28 23:33:56 +0200

    Fix bus error on sparc64 due to unaligned access.

 gtatool/src/lib.cpp |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4f3730e7991212edbb1506fc7e1af3e41accf9ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-28 23:29:35 +0200

    Cleanup the base/blob module, and provide a new module
    base/check_state.h. This fixes compilation on 32bit platforms.

 gtatool/src/base/Makefile.am           |    1 +
 gtatool/src/base/blob.h                |  570 ++------------------------------
 gtatool/src/base/checked_cast.h        |  155 +++++++++
 gtatool/src/cmds/component-add.cpp     |    7 +-
 gtatool/src/cmds/component-compute.cpp |    3 +-
 gtatool/src/cmds/component-convert.cpp |    5 +-
 gtatool/src/cmds/component-extract.cpp |    5 +-
 gtatool/src/cmds/component-merge.cpp   |    3 +-
 gtatool/src/cmds/component-reorder.cpp |    5 +-
 gtatool/src/cmds/component-set.cpp     |    5 +-
 gtatool/src/cmds/create.cpp            |    3 +-
 gtatool/src/cmds/dimension-add.cpp     |    3 +-
 gtatool/src/cmds/dimension-extract.cpp |    3 +-
 gtatool/src/cmds/dimension-merge.cpp   |    3 +-
 gtatool/src/cmds/dimension-reorder.cpp |    3 +-
 gtatool/src/cmds/dimension-reverse.cpp |    3 +-
 gtatool/src/cmds/extract.cpp           |    3 +-
 gtatool/src/cmds/fill.cpp              |    5 +-
 gtatool/src/cmds/from-exr.cpp          |    3 +-
 gtatool/src/cmds/from-gdal.cpp         |    7 +-
 gtatool/src/cmds/from-magick.cpp       |    3 +-
 gtatool/src/cmds/from-netpbm.cpp       |    3 +-
 gtatool/src/cmds/from-pfs.cpp          |    5 +-
 gtatool/src/cmds/from-raw.cpp          |    3 +-
 gtatool/src/cmds/merge.cpp             |    3 +-
 gtatool/src/cmds/resize.cpp            |    5 +-
 gtatool/src/cmds/set.cpp               |    3 +-
 gtatool/src/cmds/to-exr.cpp            |    5 +-
 gtatool/src/cmds/to-gdal.cpp           |    5 +-
 gtatool/src/cmds/to-magick.cpp         |    6 +-
 gtatool/src/cmds/to-netpbm.cpp         |    3 +-
 gtatool/src/cmds/to-pfs.cpp            |    3 +-
 gtatool/src/cmds/to-raw.cpp            |    3 +-
 33 files changed, 255 insertions(+), 590 deletions(-)

commit bdf8b536c88a8d0f8709866ea1b19cbde5c2e88c
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-28 20:20:54 +0200

    Update TODO list.

 gtatool/TODO |   23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

commit 7ad18dc2127b1fd6839a119deef7dda20ddbf219
Author: Martin Lambers <lambers@fb12.uni-siegen.de>
Date:   2010-04-27 09:04:56 +0200

    Add missing tests, and distribute the test scripts.

 gtatool/tests/Makefile.am |    4 ++++
 1 file changed, 4 insertions(+)

commit 34b3d1404ae521d622d514d8b143163c6386bbc1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-27 08:43:29 +0200

    Initial import

 gtatool/AUTHORS                        |    1 +
 gtatool/COPYING                        |  674 +++
 gtatool/ChangeLog                      |    3 +
 gtatool/INSTALL                        |  365 ++
 gtatool/Makefile.am                    |   15 +
 gtatool/TODO                           |   15 +
 gtatool/build-aux/config.guess         | 1501 ++++++
 gtatool/build-aux/config.rpath         |  672 +++
 gtatool/build-aux/config.sub           | 1705 +++++++
 gtatool/build-aux/depcomp              |  630 +++
 gtatool/build-aux/install-sh           |  520 ++
 gtatool/build-aux/ltmain.sh            | 8406 ++++++++++++++++++++++++++++++++
 gtatool/build-aux/missing              |  376 ++
 gtatool/configure.ac                   |  273 ++
 gtatool/m4/00gnulib.m4                 |   30 +
 gtatool/m4/absolute-header.m4          |   65 +
 gtatool/m4/gnulib-cache.m4             |   37 +
 gtatool/m4/gnulib-common.m4            |  195 +
 gtatool/m4/gnulib-comp.m4              |  193 +
 gtatool/m4/gnulib-tool.m4              |   57 +
 gtatool/m4/lib-ld.m4                   |  110 +
 gtatool/m4/lib-link.m4                 |  774 +++
 gtatool/m4/lib-prefix.m4               |  224 +
 gtatool/m4/libtool.m4                  | 7357 ++++++++++++++++++++++++++++
 gtatool/m4/ltoptions.m4                |  368 ++
 gtatool/m4/ltsugar.m4                  |  123 +
 gtatool/m4/ltversion.m4                |   23 +
 gtatool/m4/lt~obsolete.m4              |   92 +
 gtatool/src/Makefile.am                |   14 +
 gtatool/src/base/Makefile.am           |   20 +
 gtatool/src/base/atomic.h              |   74 +
 gtatool/src/base/blob.h                |  713 +++
 gtatool/src/base/cio.cpp               |  941 ++++
 gtatool/src/base/cio.h                 |  140 +
 gtatool/src/base/debug.cpp             |  146 +
 gtatool/src/base/debug.h               |   53 +
 gtatool/src/base/exc.cpp               |  137 +
 gtatool/src/base/exc.h                 |   66 +
 gtatool/src/base/msg.cpp               |  475 ++
 gtatool/src/base/msg.h                 |  102 +
 gtatool/src/base/opt.cpp               |  263 +
 gtatool/src/base/opt.h                 |  658 +++
 gtatool/src/base/progress.cpp          |  124 +
 gtatool/src/base/progress.h            |   56 +
 gtatool/src/base/str.cpp               |  383 ++
 gtatool/src/base/str.h                 |   88 +
 gtatool/src/base/timer.cpp             |  288 ++
 gtatool/src/base/timer.h               |   97 +
 gtatool/src/base/tools.cpp             |  131 +
 gtatool/src/base/tools.h               |  823 ++++
 gtatool/src/cmds/Makefile.am           |  149 +
 gtatool/src/cmds/component-add.cpp     |  208 +
 gtatool/src/cmds/component-compute.cpp |  385 ++
 gtatool/src/cmds/component-convert.cpp |  643 +++
 gtatool/src/cmds/component-extract.cpp |  195 +
 gtatool/src/cmds/component-merge.cpp   |  180 +
 gtatool/src/cmds/component-reorder.cpp |  171 +
 gtatool/src/cmds/component-set.cpp     |  160 +
 gtatool/src/cmds/compress.cpp          |  112 +
 gtatool/src/cmds/create.cpp            |  138 +
 gtatool/src/cmds/dimension-add.cpp     |  152 +
 gtatool/src/cmds/dimension-extract.cpp |  163 +
 gtatool/src/cmds/dimension-merge.cpp   |  175 +
 gtatool/src/cmds/dimension-reorder.cpp |  181 +
 gtatool/src/cmds/dimension-reverse.cpp |  161 +
 gtatool/src/cmds/extract.cpp           |  175 +
 gtatool/src/cmds/fill.cpp              |  178 +
 gtatool/src/cmds/from-dcmtk.cpp        |  200 +
 gtatool/src/cmds/from-exr.cpp          |  151 +
 gtatool/src/cmds/from-gdal.cpp         |  353 ++
 gtatool/src/cmds/from-magick.cpp       |  331 ++
 gtatool/src/cmds/from-netpbm.cpp       |  204 +
 gtatool/src/cmds/from-pfs.cpp          |  206 +
 gtatool/src/cmds/from-raw.cpp          |  258 +
 gtatool/src/cmds/info.cpp              |  159 +
 gtatool/src/cmds/merge.cpp             |  217 +
 gtatool/src/cmds/resize.cpp            |  199 +
 gtatool/src/cmds/set.cpp               |  179 +
 gtatool/src/cmds/tag.cpp               |  605 +++
 gtatool/src/cmds/to-exr.cpp            |  262 +
 gtatool/src/cmds/to-gdal.cpp           |  466 ++
 gtatool/src/cmds/to-magick.cpp         |  392 ++
 gtatool/src/cmds/to-netpbm.cpp         |  210 +
 gtatool/src/cmds/to-pfs.cpp            |  287 ++
 gtatool/src/cmds/to-raw.cpp            |  132 +
 gtatool/src/cmds/uncompress.cpp        |  101 +
 gtatool/src/lib.cpp                    |  522 ++
 gtatool/src/lib.h                      |   55 +
 gtatool/src/main.cpp                   |  456 ++
 gtatool/tests/Makefile.am              |   21 +
 gtatool/tests/gta-compress.sh          |   23 +
 gtatool/tests/gta-create.sh            |   24 +
 gtatool/tests/gta-help.sh              |   16 +
 gtatool/tests/gta-info.sh              |   19 +
 gtatool/tests/gta-tag.sh               |   51 +
 gtatool/tests/gta-uncompress.sh        |   25 +
 gtatool/tests/gta-version.sh           |   16 +
 97 files changed, 40262 insertions(+)
